(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    178299,       3823]
NotebookOptionsPosition[    168632,       3537]
NotebookOutlinePosition[    169156,       3558]
CellTagsIndexPosition[    169113,       3555]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Physics 230 -- Lab 1 (Introduction to Mathematica)", "Title",
 CellChangeTimes->{{3.399308987464324*^9, 3.399308997477577*^9}, {
   3.3996509147507887`*^9, 3.3996509168582067`*^9}, 3.4274817158062444`*^9, {
   3.427505828304313*^9, 3.427505832757467*^9}, {3.433259568081151*^9, 
   3.4332596026289105`*^9}}],

Cell["\<\
David Neilsen, Fall 2013

Labs by John S. Colton, BYU Physics & Astronomy, based on previous labs by \
Branton Cambell and Steve Turley.\
\>", "Subtitle",
 CellChangeTimes->{{3.433259527908248*^9, 3.433259551315097*^9}, {
   3.439665062935153*^9, 3.4396650637789087`*^9}, {3.4396681571112056`*^9, 
   3.4396681574237075`*^9}, {3.4717903729337626`*^9, 3.4717903735118947`*^9}, 
   3.5014683903969955`*^9, {3.534713290355769*^9, 3.5347132906157613`*^9}, {
   3.5440306077056894`*^9, 3.54403063024669*^9}, {3.5442062130113497`*^9, 
   3.54420621803535*^9}, 3.544801715798015*^9, {3.5619031707500453`*^9, 
   3.561903176021153*^9}, {3.585927979541676*^9, 3.5859280879044724`*^9}, {
   3.586779921519392*^9, 3.5867799396727457`*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is a cross between a souped-up calculator and a full-blown programming \
language. You will mostly be typing and entering commands. \n\n",
 StyleBox["To enter a command:",
  FontWeight->"Bold"],
 " Move the pointer/cursor to a spot between two \[OpenCurlyDoubleQuote]cells\
\[CloseCurlyDoubleQuote] (the smallest unit grouped by the vertical bars on \
the right), identifiable because the mouse cursor turns into a horizontal \
indicator, and type what you want ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to do. Then press \[OpenCurlyDoubleQuote]shift-enter\
\[CloseCurlyDoubleQuote] (or just \[OpenCurlyDoubleQuote]enter\
\[CloseCurlyDoubleQuote] if you use the enter key on the numeric keypad) to \
have your command executed. Regular \[OpenCurlyDoubleQuote]enter\
\[CloseCurlyDoubleQuote] will not work--that\[CloseCurlyQuote]s for adding \
line breaks inside a command, for example if you want to run two commands at \
the same time.\n\n",
 StyleBox["The most helpful advice you will get this semester: ",
  FontWeight->"Bold"],
 "If you are typing ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " commands and things are not working the way you expect, go to ",
 StyleBox["Evaluation",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Quit Kernel",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Local",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ". That clears the memory and will restart the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " engine the next time you enter a command. Just as the way to solve most \
computer problems is to turn it off and on again, the way to solve most ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " problems is to turn the kernel (the processing engine) off and on again. ",
 StyleBox["Evaluation",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Abort ",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "can also be quite useful, to stop the execution of the current command if \
things are taking much longer than expected. \n\n",
 StyleBox["To expand the selections below:",
  FontWeight->"Bold"],
 " Double-click the vertical bars on the right that look like they have half \
of a downward-pointing arrow. To contract them, double-click the same bar \
(now potentially quite long). Or, go to  ",
 StyleBox["Edit",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Preferences",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " and check the box that says \[OpenCurlyDoubleQuote]Show open/close icons \
for cell groups\[CloseCurlyDoubleQuote] (it may already be checked). That \
will give you triangular icons on the left which will toggle the sections \
between expanded and contracted. "
}], "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQB2IQbez448Ot+JeOc52WfwLRwU95PdM7XzrmpHqC6Zrc
5hgQLfH5cSaITnK+vicbSEsd6d0HooU8hVrLprx0rPXd0g6ib+Rmfl+84KXj
m78HZZcAaYHWY3oguo31gT6IVuAstQDRdj1P7UG0aMYdqaVAWi7jE5ieGjb7
0wowXf4FTF8rZ1oJpucwg+gVkwyngugXQsfBtMP82K2b0185toWqngbRcSqN
O7YA6TVtL/eC6Dl6CZdB9CebjVdBNE/OrkcgOmLx8WcgWlSim2srkD5oEigG
ohe0bIoD0ae5E7NBtPz7VX0g+gbvmvkgWuCQy96DQNrAveAoiN4vmXYaRH9N
ELgAoiV3sPy4DKSVHB//AdH9Orm7VnS+cpx3sWc3iAYA6PPHjg==
  "]],

Cell[CellGroupData[{

Cell["The Most Useful Commands", "Section",
 CellChangeTimes->{{3.399171094227*^9, 3.399171099477*^9}, {
   3.399650322332314*^9, 3.3996503265159283`*^9}, {3.3996618827887726`*^9, 
   3.3996618833354588`*^9}, {3.4057003448070397`*^9, 3.405700376073065*^9}, {
   3.405702493912673*^9, 3.4057024951158133`*^9}, {3.4057056738283753`*^9, 
   3.4057056744377584`*^9}, {3.4057154528454123`*^9, 3.4057154536586657`*^9}, 
   3.405720440813705*^9, 3.405720479881176*^9, 3.427323107248788*^9, {
   3.427505820601139*^9, 3.4275058725389714`*^9}, {3.4275060470088377`*^9, 
   3.427506050618236*^9}, {3.4311829246595087`*^9, 3.4311829261439123`*^9}, 
   3.433259591253619*^9, {3.5440407892056894`*^9, 3.5440407892806897`*^9}, {
   3.5440542300146894`*^9, 3.5440542305926895`*^9}, {3.544059545300887*^9, 
   3.5440595493570576`*^9}, {3.54412101143577*^9, 3.544121011630781*^9}, {
   3.5441952813458185`*^9, 3.544195281447829*^9}, {3.54420127414468*^9, 
   3.544201274279693*^9}, 3.561833822596009*^9}],

Cell[CellGroupData[{

Cell[TextData[{
 "How to use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " as a calculator"
}], "Subsection",
 CellChangeTimes->{{3.399650347605714*^9, 3.3996503501970563`*^9}, {
   3.3996508210253468`*^9, 3.3996508283778925`*^9}, {3.399650876130412*^9, 
   3.3996508818750763`*^9}, {3.39975768225478*^9, 3.3997576870185747`*^9}, {
   3.405700384213794*^9, 3.405700396526452*^9}, {3.405702497131464*^9, 
   3.405702497506469*^9}, {3.4057213236791196`*^9, 3.4057213241795835`*^9}, {
   3.427491011131359*^9, 3.4274910252095737`*^9}, {3.4274911208664365`*^9, 
   3.4274911308821254`*^9}, {3.4274981839428897`*^9, 3.427498188161667*^9}, {
   3.4275416649555416`*^9, 3.427541665939923*^9}, {3.431182693373818*^9, 
   3.431182694748844*^9}, {3.54403290574669*^9, 3.5440329093826895`*^9}, {
   3.54403297332469*^9, 3.5440329778426895`*^9}, {3.5440345800316896`*^9, 
   3.5440345849906893`*^9}, {3.5440381186156893`*^9, 3.5440381296456895`*^9}, 
   3.5442013636116257`*^9}],

Cell[TextData[{
 StyleBox["Calculator commands: ",
  FontWeight->"Bold"],
 "Basic calculator-like commands such as +, -, *, /, and ^ all work pretty \
much like you\[CloseCurlyQuote]d expect. Regular ",
 StyleBox["parentheses ",
  FontWeight->"Bold"],
 "can be used to group terms. Click on each of the equations below, and then \
press shift-enter to run these commands. When you do so, the equations will \
become labeled as input lines and output lines with the solution will appear. \
To experiment on your own, feel free to edit an equation on an input line and \
press shift-enter again. Or start typing in between cells, as mentioned \
above, to create your own input. Note, a \[OpenCurlyDoubleQuote]Suggestion \
Bar\[CloseCurlyDoubleQuote] will appear the first time that you execute a \
command. It can be closed with the \[OpenCurlyDoubleQuote]x\
\[CloseCurlyDoubleQuote] icon on the right."
}], "Text",
 CellChangeTimes->CompressedData["
1:eJwlylsoQ3EAx/FlvGmxohDOdFzy5FJCqD9FIeWSFLIpzKXN1OaW1SQNk8uL
y6zwwB4UYhvCg9tG8qBMc88lziSM7AU5v+Ph1+fh9xVVyguqPHg8HsUO3git
+vwihhjq+5dg8sChw1HBEKJKuIdNQcTrjNXUoqFg4aL1ii9mSGuyzw1U62/P
tayNsWV30KWmu2t6GDISJjqHMrrzGirjPnlSVrfFXwBtqw1COJxmD4Zzm34h
MI+U0fCR7IdD8fpXWx2rKiW6HSZlZPfBXPvOCny46LDB5wsdZ5zC2zA1yRDB
R8cUXNNGncBjrYSzoTfeAW29gjOYSZ0OLdc4yThfNAmj9ypnYPrBtxlmq5Rb
MPGDPoTCF+vx///GaYypP4XT8yeXMCZrwgUzqVI3DJCRABOngvOp6p02s9pv
dRFQMSuqNnN9pByGvq6pLVxXroGSxyH3htRJdF0/v/BJKds29jhJv8lzF0Zs
jcpTV53EMKhvgiVRxmaoqvVtg8U5lBq6FgI74dEzfwwu524a4B/UARDR
  "]],

Cell[BoxData[
 RowBox[{"1", "+", "1"}]], "Input",
 CellChangeTimes->{{3.54403256699669*^9, 3.5440325807006893`*^9}}],

Cell[BoxData[
 RowBox[{"4", "-", "5"}]], "Input",
 CellChangeTimes->{{3.5440330159466896`*^9, 3.5440330162146893`*^9}}],

Cell[BoxData[
 RowBox[{"6", "*", "5"}]], "Input",
 CellChangeTimes->{{3.5440325828566895`*^9, 3.5440325837436895`*^9}, {
  3.5440328713096895`*^9, 3.5440328717736893`*^9}, {3.5440332281316895`*^9, 
  3.54403322836969*^9}}],

Cell[BoxData[
 RowBox[{"6", "^", "5"}]], "Input",
 CellChangeTimes->{{3.5440330217216897`*^9, 3.5440330227826896`*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"2", "-", "3"}], ")"}], "/", "5"}]}]], "Input",
 CellChangeTimes->{{3.5440384265336895`*^9, 3.5440384375116897`*^9}}],

Cell["\<\
Scientific notation can be indicated two ways. In the second method, there is \
no space between the number and the * character.\
\>", "Text",
 CellChangeTimes->{{3.5440616194616356`*^9, 3.5440616394706364`*^9}, {
  3.544061717923481*^9, 3.5440617203707256`*^9}}],

Cell[BoxData[
 RowBox[{"6.022", " ", "*", " ", 
  RowBox[{"10", "^", "23"}]}]], "Input",
 CellChangeTimes->{{3.544061648639553*^9, 3.544061655217211*^9}}],

Cell[BoxData["6.022*^23"], "Input",
 CellChangeTimes->{{3.5440616621649055`*^9, 3.544061668896579*^9}, {
  3.561834043838131*^9, 3.5618340466214094`*^9}}],

Cell[TextData[{
 "You can either specify \[OpenCurlyDoubleQuote]times\[CloseCurlyDoubleQuote] \
by the * character, or more simply by leaving a space between two numbers. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will add the x character automatically. That\[CloseCurlyQuote]s what I did \
here:"
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440333137366896`*^9}, {3.54403612811469*^9, 
   3.5440361311746893`*^9}, {3.5440412011606894`*^9, 3.54404120343769*^9}, {
   3.544061706001289*^9, 3.544061738899578*^9}}],

Cell[BoxData[
 RowBox[{"6", " ", "5"}]], "Input",
 CellChangeTimes->{{3.5440333011746893`*^9, 3.5440333012786894`*^9}}],

Cell[TextData[{
 StyleBox["\nTip: ",
  FontWeight->"Bold"],
 "Shift-enter(keypad) not only executes the command like shift-enter and \
enter(keypad) do, it also positions the cursor at the next available input \
field. You may find that to be a helpful shortcut when evaluating a series of \
commands in a row.",
 StyleBox["\n\nAnother Tip:",
  FontWeight->"Bold"],
 " To evaluate all of the commands in a notebook, use ",
 StyleBox["Control-A",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " to select all, then shift-enter. I wouldn\[CloseCurlyQuote]t necessarily \
advise doing that here, but it will be very useful in your own notebooks."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440335884906893`*^9, 
   3.5440335982896895`*^9}, {3.5440338595176897`*^9, 
   3.5440338851846895`*^9}, {3.5440361137956896`*^9, 
   3.5440361199556894`*^9}, {3.5440412061236897`*^9, 
   3.5440412933736897`*^9}, {3.5440413236756897`*^9, 
   3.5440414198726892`*^9}, {3.5440545337026896`*^9, 
   3.5440545355026894`*^9}, {3.5440617434960375`*^9, 
   3.5440617478334713`*^9}, {3.544097032769269*^9, 3.544097034908391*^9}, {
   3.5618340960463514`*^9, 3.561834183122058*^9}}],

Cell[TextData[{
 StyleBox["Built-in Functions: ",
  FontWeight->"Bold"],
 "Giving ",
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 "a function as a command is termed \[OpenCurlyDoubleQuote]calling the \
function\[CloseCurlyDoubleQuote], or issuing a \
\[OpenCurlyDoubleQuote]function call\[CloseCurlyDoubleQuote]. The parameters \
that you use when calling the function are called the \
\[OpenCurlyDoubleQuote]arguments\[CloseCurlyDoubleQuote].",
 StyleBox[" ",
  FontWeight->"Bold"],
 "There are a ton of built-in functions. For example:"
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440335884906893`*^9, 
   3.5440335982896895`*^9}, {3.5440338595176897`*^9, 
   3.5440338851846895`*^9}, {3.5440361137956896`*^9, 
   3.5440361199556894`*^9}, {3.5440412061236897`*^9, 
   3.5440412933736897`*^9}, {3.5440413236756897`*^9, 3.5440414198726892`*^9}, 
   3.5440545337026896`*^9, {3.561834263389084*^9, 3.5618342641881638`*^9}}],

Cell[BoxData[
 RowBox[{"Log", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.5440335800666895`*^9, 3.5440336057856894`*^9}}],

Cell[BoxData[
 RowBox[{"Log10", "[", "100", "]"}]], "Input",
 CellChangeTimes->{{3.54403360860069*^9, 3.5440336148956895`*^9}}],

Cell[BoxData[
 RowBox[{"Sqrt", "[", "10", "]"}]], "Input",
 CellChangeTimes->{{3.5440335493846893`*^9, 3.54403355058669*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.5440339987886896`*^9, 3.5440339995946894`*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"Sqrt", "[", "10", "]"}], ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440337747896895`*^9, 3.54403377777769*^9}}],

Cell[BoxData[
 RowBox[{"Cos", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.54403438002269*^9, 3.54403438855369*^9}, {
  3.544097079053916*^9, 3.544097079397936*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.544097100832162*^9, 3.5440971017892165`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\n1. Function calls such as Log and Sqrt must use ",
 StyleBox["square brackets",
  FontWeight->"Bold"],
 ". \n\n2. Pre-defined functions such as Log and Sqrt must be ",
 StyleBox["capitalized",
  FontWeight->"Bold"],
 ". \n\n3. The \[OpenCurlyDoubleQuote]",
 StyleBox["%",
  FontWeight->"Bold"],
 "\[CloseCurlyDoubleQuote] symbol gets interpreted as \
\[OpenCurlyDoubleQuote]the result of the previously- executed command\
\[CloseCurlyDoubleQuote]. ",
 StyleBox["%%",
  FontWeight->"Bold"],
 " means \[OpenCurlyDoubleQuote]the result of two commands ago\
\[CloseCurlyDoubleQuote] (and so on as you add more % signs). % followed by a \
number means \[OpenCurlyDoubleQuote]the result of line <number>\
\[CloseCurlyDoubleQuote]\n\n4. The \[OpenCurlyDoubleQuote]",
 StyleBox["N",
  FontWeight->"Bold"],
 "\[CloseCurlyDoubleQuote] command can be used to force a numerical decimal \
result. I use N[%] all the time when a command doesn\[CloseCurlyQuote]t give \
me a numerical result like I wanted.\n\n5. Commas are used to separate \
additional arguments (parameters) for functions. The second argument to the N \
command, if used, specifies the number of significant figures you want ",
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 "to supply.\n\n6.  Trigonometric functions must use radians. The trig \
functions include Sin, Cos, Tan, ArcSin, ArcCos, ArcTan, and the equivalent \
hyperbolic trig functions Sinh, etc."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, {3.5440349675236893`*^9, 
   3.5440350132826896`*^9}, {3.5440350549986897`*^9, 
   3.5440350991306896`*^9}, {3.5440351294076896`*^9, 
   3.5440351631656895`*^9}, {3.5440353307146893`*^9, 3.5440353649396896`*^9}, 
   3.5440356160426893`*^9, {3.5440359810706897`*^9, 3.54403610608169*^9}, {
   3.5440416232626896`*^9, 3.5440416765006895`*^9}, {3.5440421874476895`*^9, 
   3.5440422266776896`*^9}, {3.5440545192316895`*^9, 
   3.5440545274856896`*^9}, {3.544097218914916*^9, 3.544097235895887*^9}, {
   3.5440984283110895`*^9, 3.5440985058235226`*^9}, {3.5441841598729258`*^9, 
   3.5441842132822666`*^9}, {3.544186487022225*^9, 3.5441865279103136`*^9}, {
   3.5441865582793503`*^9, 3.544186579800502*^9}, {3.544204284155651*^9, 
   3.54420436795903*^9}, {3.5618342052612715`*^9, 3.56183422294604*^9}, {
   3.5618342556553106`*^9, 3.5618343208298273`*^9}}],

Cell[TextData[{
 StyleBox["Online Help: ",
  FontWeight->"Bold"],
 " A large part of this class will involve learning many of the built-in \
functions. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has outstanding online help. To find out more information about any \
function, click on the function name and press F1. Try that with some of the \
built-in functions above. You can also access help topics organized by \
category, and/or search for a particular topic by going to ",
 StyleBox["Help",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Documentation Center",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ". One cool feature is that you can actually edit examples inside the help \
documents and execute them with shift-enter."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, {3.5440349675236893`*^9, 
   3.5440350132826896`*^9}, {3.5440350549986897`*^9, 
   3.5440350991306896`*^9}, {3.5440351294076896`*^9, 
   3.5440351631656895`*^9}, {3.5440353307146893`*^9, 3.5440353649396896`*^9}, 
   3.5440356160426893`*^9, {3.5440359810706897`*^9, 3.54403610608169*^9}, {
   3.5440416232626896`*^9, 3.5440416765006895`*^9}, {3.5440421874476895`*^9, 
   3.5440422266776896`*^9}, {3.5440545192316895`*^9, 
   3.5440545259986897`*^9}, {3.5440973335494723`*^9, 3.544097337070674*^9}, {
   3.5445761484690833`*^9, 3.544576148811117*^9}}],

Cell[TextData[{
 StyleBox["Variables: ",
  FontWeight->"Bold"],
 "You can assign names to store your results into the computer's memory as \
\"variables\". "
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, {3.5440349675236893`*^9, 
   3.5440350132826896`*^9}, {3.5440350549986897`*^9, 
   3.5440350991306896`*^9}, {3.5440351294076896`*^9, 
   3.5440351631656895`*^9}, {3.5440353307146893`*^9, 3.5440353649396896`*^9}, 
   3.5440356160426893`*^9, {3.5440359810706897`*^9, 3.54403610608169*^9}, {
   3.5440416232626896`*^9, 3.5440416765006895`*^9}, {3.5440421874476895`*^9, 
   3.5440422266776896`*^9}, 3.5440545192316895`*^9}],

Cell[BoxData[
 RowBox[{"a", " ", "=", " ", "15"}]], "Input",
 CellChangeTimes->{{3.5440350146506896`*^9, 3.5440350163396893`*^9}}],

Cell[BoxData[
 RowBox[{"b", " ", "=", " ", "2"}]], "Input",
 CellChangeTimes->{{3.5440350185246897`*^9, 3.5440350318006897`*^9}, 
   3.5440353948686895`*^9}],

Cell[BoxData[
 RowBox[{"a", " ", "b"}]], "Input",
 CellChangeTimes->{{3.5440350217876897`*^9, 3.54403502259369*^9}}],

Cell[BoxData[
 RowBox[{"b", " ", "=", " ", "35"}]], "Input",
 CellChangeTimes->{{3.5440353757486897`*^9, 3.5440353973966894`*^9}}],

Cell[BoxData[
 RowBox[{"a", " ", "b"}]], "Input",
 CellChangeTimes->{{3.5440353819326897`*^9, 3.5440353831436896`*^9}}],

Cell[BoxData[
 RowBox[{"a", "^", "b"}]], "Input",
 CellChangeTimes->{{3.54403502435069*^9, 3.5440350248756895`*^9}}],

Cell[BoxData[
 RowBox[{"c", " ", "=", " ", 
  RowBox[{"a", "-", "b"}]}]], "Input",
 CellChangeTimes->{{3.5440350390126896`*^9, 3.5440350420446897`*^9}}],

Cell[BoxData["c"], "Input",
 CellChangeTimes->{3.5440350465566893`*^9}],

Cell[BoxData[
 RowBox[{"b1", " ", "=", " ", "42"}]], "Input",
 CellChangeTimes->{{3.54403522646369*^9, 3.54403523300169*^9}}],

Cell[BoxData[
 RowBox[{"thisNumber", "=", "999999999"}]], "Input",
 CellChangeTimes->{{3.5440352616186895`*^9, 3.5440352865246897`*^9}}],

Cell[BoxData[
 RowBox[{"y", "+", "z"}]], "Input",
 CellChangeTimes->{{3.5440358566536894`*^9, 3.5440358834186897`*^9}}],

Cell[BoxData[
 RowBox[{"y", "+", 
  RowBox[{"z", " ", "*", " ", "thisNumber"}]}]], "Input",
 CellChangeTimes->{{3.5440359380806894`*^9, 3.5440359493616896`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\n1. You can give the variables any name you want (with some exceptions), \
then you can refer to them by that name later.\n\n2. You can have numbers in \
the name of a variable, like \
\[OpenCurlyDoubleQuote]b1\[CloseCurlyDoubleQuote] above, but you can\
\[CloseCurlyQuote]t start the name with a number.\n\n3. You can have capital \
letters in the name of a variable, but it\[CloseCurlyQuote]s best not to \
start the name with a variable since that\[CloseCurlyQuote]s the way all of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s built-in functions start.\n\n4. If you try to use \
variables that have not been defined as anything, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will leave the answer as a symbolic expression. You can use this to do \
algebra, for example. More on that later."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, 3.5440349675236893`*^9, {3.5440350661466894`*^9, 
   3.5440350720526896`*^9}, {3.5440353363736897`*^9, 3.54403535205369*^9}, {
   3.5440354258636894`*^9, 3.5440355651436896`*^9}, {3.5440358622456894`*^9, 
   3.54403592551569*^9}, {3.5440366140616894`*^9, 3.5440366998416896`*^9}, {
   3.5440368637686896`*^9, 3.5440368669596896`*^9}, {3.5440545094136896`*^9, 
   3.5440545107056894`*^9}, {3.544097548480766*^9, 3.544097554286098*^9}, {
   3.561834406992443*^9, 3.5618344092886724`*^9}}],

Cell[TextData[{
 StyleBox["Built-in Constants: ",
  FontWeight->"Bold"],
 "Some variable names are reserved, such as Pi, E, I, and Infinity:"
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, 3.5440349675236893`*^9, {3.5440350661466894`*^9, 
   3.5440350720526896`*^9}, {3.5440353363736897`*^9, 3.54403535205369*^9}, {
   3.5440354258636894`*^9, 3.5440355651436896`*^9}, {3.5440358622456894`*^9, 
   3.54403592551569*^9}, {3.5440366140616894`*^9, 3.5440366998416896`*^9}, {
   3.5440368637686896`*^9, 3.5440368669596896`*^9}, 3.5440545094136896`*^9, {
   3.544097637069833*^9, 3.544097637565861*^9}}],

Cell[BoxData[
 RowBox[{"Sin", "[", 
  RowBox[{"Pi", "/", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440366776826897`*^9, 3.5440366799106894`*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"E", ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440367014956894`*^9, 3.5440367129276896`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"2", " ", "+", " ", 
    RowBox[{"3", " ", "I"}]}], ")"}], " ", "/", " ", 
  RowBox[{"(", 
   RowBox[{"4", " ", "-", " ", 
    RowBox[{"7", " ", "I"}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.5440602039198055`*^9, 3.544060211908596*^9}}],

Cell[BoxData[
 RowBox[{"2", "^", 
  RowBox[{"(", 
   RowBox[{"-", "Infinity"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.5440368265056896`*^9, 3.5440368324806895`*^9}}],

Cell[BoxData[
 RowBox[{"E", " ", "=", " ", "10"}]], "Input",
 CellChangeTimes->{{3.5440368742786894`*^9, 3.5440368773096895`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe:\n",
  FontWeight->"Bold"],
 "\n1. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " treats Pi and E just as you\[CloseCurlyQuote]d expect, as if you had \
defined them yourself to hundreds of decimal places.\n\n2. A capital I is \
used to indicate complex numbers.\n\n3. Infinity is kind of a strange \
constant, but it also works like you\[CloseCurlyQuote]d expect.\n\n4. You \
cannot set the value of the built-in constants yourself. That\
\[CloseCurlyQuote]s why the last command gave an error messaage \
\[OpenCurlyDoubleQuote]Symbol e is protected\[CloseCurlyDoubleQuote]. This \
tends to be a problem with \[OpenCurlyDoubleQuote]E\[CloseCurlyDoubleQuote] \
and \[OpenCurlyDoubleQuote]I\[CloseCurlyDoubleQuote] which are tempting to \
use to stand for energy, electric field, or current. Remember when defining \
your own constants it\[CloseCurlyQuote]s best to start them with a lower case \
letter. That will prevent this problem with e or i."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, 3.5440349675236893`*^9, {3.5440350661466894`*^9, 
   3.5440350720526896`*^9}, {3.5440353363736897`*^9, 3.54403535205369*^9}, {
   3.5440354258636894`*^9, 3.5440355651436896`*^9}, {3.5440358622456894`*^9, 
   3.54403592551569*^9}, 3.5440366140616894`*^9, {3.5440368448996897`*^9, 
   3.54403685189069*^9}, {3.54403688247569*^9, 3.5440370350216894`*^9}, {
   3.5440381455546894`*^9, 3.5440381906276894`*^9}, {3.54405448431269*^9, 
   3.5440544858526897`*^9}, {3.5440602246282234`*^9, 
   3.5440602687316694`*^9}, {3.5440976543558216`*^9, 3.5440977489712334`*^9}}],

Cell[TextData[{
 StyleBox["Now try it out on your own:",
  FontWeight->"Bold"],
 " move the mouse directly below this paragraph (it's a break between cells) \
and when the mouse pointer turns into a horizontal bar, click to position the \
cursor there, and start typing. Calculate something that you might use a \
regular calculator for."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, 3.5440349675236893`*^9, {3.5440350661466894`*^9, 
   3.5440350720526896`*^9}, {3.5440353363736897`*^9, 3.54403535205369*^9}, {
   3.5440354258636894`*^9, 3.5440355651436896`*^9}, {3.5440358622456894`*^9, 
   3.54403592551569*^9}, 3.5440366140616894`*^9, {3.5440368448996897`*^9, 
   3.54403685189069*^9}, {3.54403688247569*^9, 3.5440370350216894`*^9}, {
   3.5440381455546894`*^9, 3.5440381906276894`*^9}, 3.54405448431269*^9, {
   3.561834466611404*^9, 3.5618344720349464`*^9}}],

Cell[TextData[{
 "\[UpArrow]\nEnter your command above the arrow. (Notice the break between \
cells is indicated on the right.)\n\nNow open up a brand-new notebook file \
using ",
 StyleBox["File",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["New",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Notebook ",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "(or ",
 StyleBox["Control-N",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ") and type in some  commands there. The formatting won\[CloseCurlyQuote]t \
look as cool as this notebook, but we\[CloseCurlyQuote]ll cover formatting \
later."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348796776896`*^9}, {3.5440351869956894`*^9, 3.54403520846869*^9}, {
   3.5440365226946898`*^9, 3.5440365500436897`*^9}, {3.5440370779726896`*^9, 
   3.5440371304776897`*^9}, {3.5440408357376895`*^9, 3.5440409569016895`*^9}, 
   3.54405425969969*^9, {3.54405429925369*^9, 3.5440542999476895`*^9}, {
   3.54405450068769*^9, 3.5440545020096893`*^9}}],

Cell[TextData[{
 StyleBox["CAUTION:  ",
  FontWeight->"Bold"],
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " \"remembers\" variable assignments between notebooks. That is, if you've \
defined a=15 in this notebook, when you open a new notebook, a will equal 15 \
there, too! This can often cause unintended (and undesired) consequences. The \
\"quit kernel\" tip from the top of this notebook can be especially helpful \
under those circumstances."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348796776896`*^9}, {3.5440351869956894`*^9, 3.54403520846869*^9}, {
   3.5440365226946898`*^9, 3.5440365500436897`*^9}, {3.5440370779726896`*^9, 
   3.5440371304776897`*^9}, {3.5440408357376895`*^9, 3.5440409569016895`*^9}, 
   3.54405425969969*^9, {3.54405429925369*^9, 3.5440542999476895`*^9}, 
   3.54405450068769*^9, {3.5440978198122854`*^9, 3.544097820478323*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Assignment 0:  Basic computation (You should do this, \
but you don\[CloseCurlyQuote]t need to pass it off)",
 FontWeight->"Bold"]], "Subsubsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348796776896`*^9}, {3.5440351869956894`*^9, 3.54403520846869*^9}, {
   3.5440365226946898`*^9, 3.5440365500436897`*^9}, {3.5440370779726896`*^9, 
   3.5440371304776897`*^9}, {3.5440408357376895`*^9, 3.5440409569016895`*^9}, 
   3.54405425969969*^9, 3.5440543088966894`*^9, {3.5440548961256895`*^9, 
   3.5440549351776896`*^9}, {3.5442029348047295`*^9, 3.544202968374086*^9}, {
   3.5442030197272205`*^9, 3.544203096750922*^9}, {3.5454201197782183`*^9, 
   3.5454201292762184`*^9}, {3.5618347261073513`*^9, 3.5618347457563157`*^9}}],

Cell[TextData[{
 "In a new notebook or in a newly created cell below this assignment, do \
these computations. It might be good to check your answer against your \
calculator.\n(a)  ",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{"1", "+", 
     RowBox[{"(", 
      FractionBox["2", 
       RowBox[{"3", "-", 
        RowBox[{
         SubscriptBox["log", "10"], "4"}]}]], ")"}]}]], TraditionalForm]]],
 "  (give the answer to 10 sig figs)\n(b) the answer to (a) + ln(2.39)."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348796776896`*^9}, {3.5440351869956894`*^9, 3.54403520846869*^9}, {
   3.5440365226946898`*^9, 3.5440365500436897`*^9}, {3.5440370779726896`*^9, 
   3.5440371304776897`*^9}, {3.5440408357376895`*^9, 3.5440409569016895`*^9}, 
   3.54405425969969*^9, 3.5440543088966894`*^9, {3.5440548961256895`*^9, 
   3.5440549351776896`*^9}, {3.5442029348047295`*^9, 3.544202968374086*^9}, {
   3.5442030197272205`*^9, 3.544203096750922*^9}, {3.5454201197782183`*^9, 
   3.5454201203092184`*^9}, {3.5618345463443766`*^9, 
   3.5618346320189433`*^9}, {3.5618346718579264`*^9, 3.56183472330107*^9}, {
   3.561834754274167*^9, 3.5618348333840775`*^9}, {3.5618350517939167`*^9, 
   3.5618350600157385`*^9}, {3.5618951948021526`*^9, 3.56189521117879*^9}, {
   3.586781734643396*^9, 3.586781738418041*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to define a function", "Subsection",
 CellChangeTimes->{{3.5440349161446896`*^9, 3.5440349443346896`*^9}, 
   3.54420136615588*^9}],

Cell["You can define your own functions, such as:", "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560573269*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{"-", " ", 
    RowBox[{"x", "^", "4"}]}], " ", "+", " ", 
   RowBox[{"3", " ", 
    RowBox[{"x", "^", "3"}]}], " ", "+", "  ", 
   RowBox[{"4", " ", 
    RowBox[{"Sin", "[", "x", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5440356587906895`*^9, 3.5440356705496893`*^9}}],

Cell[BoxData[
 RowBox[{"f", "[", "2", "]"}]], "Input",
 CellChangeTimes->{{3.5440357070566893`*^9, 3.5440357118296895`*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"%", ",", "30"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440357135046897`*^9, 3.5440357273796897`*^9}}],

Cell[BoxData[
 RowBox[{"f", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.5440363614036894`*^9, 3.5440363633226895`*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.5440978856130486`*^9, 3.5440978867521143`*^9}}],

Cell[BoxData[
 RowBox[{"f", "[", "y", "]"}]], "Input",
 CellChangeTimes->{{3.5440358358896894`*^9, 3.5440358372106895`*^9}}],

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{"x", "^", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.54403795888369*^9, 3.5440379619916897`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\n1. Function ",
 StyleBox["definitions ",
  FontSlant->"Italic"],
 "must use the underscore symbol after the variable (and square brackets!). \
Function ",
 StyleBox["calls",
  FontSlant->"Italic"],
 " do not use the underscore symbol.\n\n2. You can evaluate your function at \
a particular number such as 2 just the same way you would use a built-in \
function.\n\n3. You can evaluate your function at a particular ",
 StyleBox["variable",
  FontSlant->"Italic"],
 ", or even at a function of a variable. In the examples above f[y] doesn\
\[CloseCurlyQuote]t get evaluated at a particular number because y is \
undefined. It just gets evaluated at the unknown variable \
\[OpenCurlyDoubleQuote]y\[CloseCurlyDoubleQuote]. And just as Sin[x^2] will \
compute sin of (x^2), f[x^2] will compute f of (x^2)."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, 3.5440380738296895`*^9, {
   3.5440979069122667`*^9, 3.5440979107934885`*^9}, {3.5440979644075556`*^9, 
   3.544097970189886*^9}, {3.544098004709861*^9, 3.544098080511196*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to plot a function", "Subsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380998256893`*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440382366606894`*^9, 3.5440382407036896`*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "4"}], "}"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "20"}], ",", "20"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], "/", "x"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "20"}], ",", "20"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440385258896894`*^9, 3.5440385562356896`*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], "/", "x"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "20"}], ",", "20"}], "}"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440385630116897`*^9, 3.5440385648586893`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. Commands such as plot are treated in much the same way as functions \
such as sin or cos. In fact, I\[CloseCurlyQuote]ll likely often call them \
functions. In particular, like all other commands/functions, \
\[OpenCurlyDoubleQuote]plot\[CloseCurlyDoubleQuote] must be capitalized. \n\n\
2. Again, all commands/functions must be called with square brackets. \n\n3. \
When a function argument contain multiple values rather than a single number, \
it is typically done via ",
 StyleBox["curly braces",
  FontWeight->"Bold"],
 ". In this case, the second argument of the plot command, \
\[OpenCurlyDoubleQuote]{x,-2,4}\[CloseCurlyDoubleQuote] specifies the \
variable to be plotted, the start of the plot range, and the end of the plot \
range. \n\n4. The right arrow is often used to specify function parameters. \
It is produced automatically when you type \[OpenCurlyDoubleQuote]-\
\[CloseCurlyDoubleQuote] followed by \[OpenCurlyDoubleQuote]>\
\[CloseCurlyDoubleQuote].\n \n5. There are various settings you can give to \
the Plot command via additional arguments; PlotRange is probably the most \
useful of them. It specifies the vertical range for occasions when the \
automatic vertical scale doesn\[CloseCurlyQuote]t give you the range you want \
to see. The two most common ways to you it are to specify the range yourself \
with PlotRange->{low,high}, or to force ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to display all y-values using PlotRange->All."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440544488446894`*^9, 
   3.5440544637946897`*^9}, {3.5440981846811543`*^9, 
   3.5440981883543644`*^9}, {3.5440982265155473`*^9, 3.544098312442462*^9}, {
   3.5440983768081436`*^9, 3.5440983770661583`*^9}, {3.5440989100716443`*^9, 
   3.5440989934064107`*^9}, {3.5618351341631527`*^9, 3.561835139458682*^9}}],

Cell[TextData[{
 StyleBox["The second most helpful advice you will get this semester: ",
  FontWeight->"Bold"],
 "Be very VERY careful between your parentheses (always used for arithmetic \
grouping), square brackets (always used in function calls/definitions), and \
braces (always used for lists of items). ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is EXTREMELY picky about which is which, and will give you errors if you \
use them incorrectly. That's both good and bad--bad, because new users can \
easily get frustrated, but good, because once you get a little more \
experience the standardized notation protects you against doing things wrong \
accidentally."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440544488446894`*^9, 
   3.5440544615646896`*^9}, {3.5440990317406034`*^9, 3.544099034490761*^9}, {
   3.586782465271193*^9, 3.586782467671504*^9}}],

Cell[TextData[{
 StyleBox["Plotting two functions: ",
  FontWeight->"Bold"],
 "You can plot two functions like this:"
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, 3.5440544488446894`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"f1", "[", "x_", "]"}], "=", 
  RowBox[{"Sin", "[", "x", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"f2", "[", "x_", "]"}], "=", 
  RowBox[{"Cos", "[", "x", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f1", "[", "x", "]"}], ",", 
     RowBox[{"f2", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell["or like this :", "Text",
 CellChangeTimes->{{3.5440390695516896`*^9, 3.5440390821616898`*^9}}],

Cell[BoxData[
 RowBox[{"plot1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"f1", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5440390382866898`*^9, 3.54403904741669*^9}}],

Cell[BoxData[
 RowBox[{"plot2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"f2", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.54403905348969*^9, 3.5440390556636896`*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"plot1", ",", "plot2"}], "]"}]], "Input",
 CellChangeTimes->{{3.54403905868569*^9, 3.5440390627526894`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. To plot two (or more) functions together, the easiest way is usually \
to group the functions with braces and use them together as the first \
argument of the Plot command.\n\n2. You can give names to ANY output of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " commands, not just numerical outputs. Notice how I named the two plots \
\[OpenCurlyDoubleQuote]plot1\[CloseCurlyDoubleQuote] and \
\[OpenCurlyDoubleQuote]plot2\[CloseCurlyDoubleQuote]. \n\n3. The Show command \
can be useful to merge plots together. Notice because it was merging plots \
together rather than creating a new plot with two functions, it didn\
\[CloseCurlyQuote]t plot the functions with two separate colors as the first \
combined plot did. It\[CloseCurlyQuote]s helpful if you want to combine two \
different ",
 StyleBox["types",
  FontSlant->"Italic"],
 " of plots (more on that in a later lab)."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 3.54403920298269*^9}, {
   3.5440990675296507`*^9, 3.544099068329696*^9}, {3.5445767266738977`*^9, 
   3.5445767440126314`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to integrate a function ", "Subsection",
 CellChangeTimes->{{3.54403927618569*^9, 3.54403929571369*^9}}],

Cell[TextData[{
 "The ability to perform symbolic computations, such as integrating a \
function, is a large part of what makes ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " so useful. Rare is the physics professor who will make you perform \
integrals by hand."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393595696898`*^9}, {3.54403946347069*^9, 3.54403946952969*^9}, {
   3.5440544327526894`*^9, 3.5440544377946897`*^9}, {3.5867826160949373`*^9, 
   3.586782644894891*^9}}],

Cell[TextData[StyleBox["How to integrate a function symbolically:",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393595696898`*^9}, {3.54403946347069*^9, 3.54403946952969*^9}, 
   3.5440544327526894`*^9, 3.561835194212157*^9}],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440393720796895`*^9, 3.54403937208169*^9}}],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Sin", "[", "x", "]"}], ")"}], "^", "2"}], ",", "x"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", 
     RowBox[{"3", " ", "y"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440393973186893`*^9, 3.54403941056069*^9}}],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. The second argument of the Integrate command (\"x\" vs \"{x,0,3}\", \
in the examples above) specifies whether you want an indefinite or a definite \
integral, and (if the latter) what the limits of integration are.\n\n2. You \
can either type the function itself into the Integrate command or, if the \
function has been user-defined, call the defined function (f[x] in this \
case). Or any sort of mixture of the two."
}], "Text",
 CellChangeTimes->{{3.54403942089769*^9, 3.54403948474469*^9}, {
  3.5440543391606894`*^9, 3.5440544245736895`*^9}, {3.5440991631291184`*^9, 
  3.544099165057229*^9}}],

Cell[TextData[StyleBox["How to integrate a function numerically:",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.54403942089769*^9, 3.54403948474469*^9}, {
  3.5440543391606894`*^9, 3.5440544208266897`*^9}}],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "Pi"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440394529216895`*^9, 3.5440394530406895`*^9}, {
  3.5440394896616898`*^9, 3.5440395026346893`*^9}, {3.5440395990446897`*^9, 
  3.5440396235006895`*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"%", ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440396288276896`*^9, 3.5440396341706896`*^9}}],

Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "Pi"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440395915686893`*^9, 3.5440396149246893`*^9}, {
  3.5440396482426896`*^9, 3.5440396570976896`*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"%", ",", "50"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"E", "^", 
    RowBox[{"(", 
     RowBox[{"-", 
      RowBox[{
       RowBox[{"Sin", "[", "x", "]"}], "^", "2"}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440397829626894`*^9, 3.5440398195726895`*^9}}],

Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"E", "^", 
    RowBox[{"(", 
     RowBox[{"-", 
      RowBox[{
       RowBox[{"Sin", "[", "x", "]"}], "^", "2"}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.54403982912869*^9}],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"E", "^", 
    RowBox[{"(", 
     RowBox[{"-", 
      RowBox[{"x", "^", "2"}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.54403992675169*^9, 3.5440399479866896`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 " \n\n1. Both the Integrate and the NIntegrate commands can be used to \
numerically evaluate an integral. The differences are subtle: the first \
command first symbolically integrates the function, then plugs in the numbers \
afterwards. The second command does a numerical integration from the get-go, \
and can only handle definite integrals. Typically the first one is more \
useful because it will give you a more precise answer if it can give you an \
answer at all. That\[CloseCurlyQuote]s why the first N[%,50] was able to \
display fifty decimal places but the second one was not. But sometimes \
Integrate fails, as in the \[OpenCurlyDoubleQuote]E^(-Sin[x]^2)\
\[CloseCurlyDoubleQuote] example, in which case NIntegrate will be the way to \
go.\n\n2. Mathematica is very sensitive to capitalization. Typing \
\[OpenCurlyDoubleQuote]Nintegrate\[CloseCurlyDoubleQuote] will not work at \
all. If you have any question about how the name of a function should be \
spelled/capitalized, type your best guess for the name, click on your guess, \
then press F1 to get help.\n\n3. As mentioned above, Infinity is treated as a \
special constant. It\[CloseCurlyQuote]s often quite useful in integrals."
}], "Text",
 CellChangeTimes->{{3.5440395153286896`*^9, 3.54403958843769*^9}, {
  3.5440396702306895`*^9, 3.5440397735666895`*^9}, {3.5440398420456896`*^9, 
  3.5440398918606896`*^9}, {3.5440399527736893`*^9, 3.5440399707836895`*^9}, {
  3.5440992647269297`*^9, 3.5440992937765913`*^9}, {3.54409932558041*^9, 
  3.5440994284312925`*^9}, {3.5440994640023274`*^9, 3.5440994773150887`*^9}, {
  3.5445767964008703`*^9, 3.544576849187148*^9}, {3.5618352508238173`*^9, 
  3.5618352546872034`*^9}}],

Cell[CellGroupData[{

Cell["Assignment 1: Position is the integral of velocity", "Subsubsection",
 CellChangeTimes->{{3.5440549633486896`*^9, 3.5440550073446894`*^9}, {
  3.5442031748597326`*^9, 3.5442032971049557`*^9}, {3.5442033585310974`*^9, 
  3.544203358994144*^9}, {3.5454201359322186`*^9, 3.5454201620742188`*^9}, {
  3.561835268318567*^9, 3.561835268391574*^9}}],

Cell["\<\
Define a function of time: v(t) = v0 - g t, where v0 is a variable defined to \
be 5 and g is a variable defined to be 9.8. Define x(t) to be the integral of \
that function. Plot both v(t) and x(t) on same graph with different colors, \
for t = 0 to 2.\
\>", "Text",
 CellChangeTimes->{{3.5440549633486896`*^9, 3.5440550073446894`*^9}, {
  3.5442031748597326`*^9, 3.5442032971049557`*^9}, {3.5442033585310974`*^9, 
  3.544203358994144*^9}, {3.5454201359322186`*^9, 3.5454201371322184`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to differentiate a function", "Subsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 3.5440399939726896`*^9}}],

Cell[TextData[{
 "Finding derivatives is another very useful ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " feature."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440995166313376`*^9, 3.54409954166877*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fderiv", "[", "x_", "]"}], " ", "=", 
  RowBox[{
   RowBox[{"f", "'"}], "[", "x", "]"}]}]], "Input",
 CellChangeTimes->{3.5440400448296895`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fsecondderiv", "[", "x_", "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{"f", "''"}], "[", "x", "]"}]}]], "Input"],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\nThe tick mark  \[OpenCurlyQuote]  tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to calculate the derivative. Two tick marks gives you a second derivative. \
 (The \[OpenCurlyDoubleQuote]D\[CloseCurlyDoubleQuote] function can also be \
used; see ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s online help for more details on that.)"
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401572596893`*^9}, {3.544099577853839*^9, 3.5440995918656406`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to find when a function equals a specified number", "Subsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440996151109705`*^9, 3.5440996152609787`*^9}}],

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], "==", 
    RowBox[{"-", "10"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], "\[Equal]", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. That\[CloseCurlyQuote]s a double equals sign, ==, not a single \
equals sign, =.  The double equals sign means \[OpenCurlyDoubleQuote]test for \
equality\[CloseCurlyDoubleQuote]. In other words, the FindRoot command works \
by varying x many, many times and testing for equality each time, until it \
finds the value of x that makes the two sides equal.\n\n2. The FindRoot \
command actually doesn\[CloseCurlyQuote]t find the roots. It finds when the \
left side of the double equals sign is equal to the right hand side. If you \
type in \[OpenCurlyDoubleQuote]0\[CloseCurlyDoubleQuote] for the right hand \
side, or if you leave off the right hand side completely, it ",
 StyleBox["will ",
  FontSlant->"Italic"],
 "indeed find a root of the equation--but in general it is much more flexible \
than that. This is a very powerful/helpful command!!  Along with \
integrals/derivatives, it\[CloseCurlyQuote]s probably the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command that I personally use the most.\n\n3. The second argument of the \
FindRoot command, for example \[OpenCurlyDoubleQuote]{x,-1}\
\[CloseCurlyDoubleQuote], specifies where you would like ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to start looking. You can translate the first FindRoot command into \
English like this: \[OpenCurlyDoubleQuote]Find the place around x = -1 where \
f(x) equals -10.\[CloseCurlyDoubleQuote]\n\n",
 StyleBox["Tip:",
  FontWeight->"Bold"],
 " It\[CloseCurlyQuote]s often good to do a plot before you use the FindRoot \
command, so you can be clever about where you tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to start looking."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440404142546897`*^9}, {3.5440414893496895`*^9, 
   3.5440415141616898`*^9}, {3.5440997545039434`*^9, 
   3.5440997599642553`*^9}, {3.561835395084242*^9, 3.561835405084242*^9}}],

Cell[CellGroupData[{

Cell["Assignment 2. Solving an equation, numerically", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.544060961789875*^9}, {3.54406104754845*^9, 
   3.544061057928488*^9}, {3.544194875778266*^9, 3.544194878977586*^9}, {
   3.5441949424919367`*^9, 3.5441949689175787`*^9}, {3.544202837632013*^9, 
   3.5442028391041603`*^9}, {3.544576943696598*^9, 3.5445769749527235`*^9}, {
   3.545420383083435*^9, 3.5454204059717236`*^9}, {3.5618354818869214`*^9, 
   3.561835481982931*^9}}],

Cell["\<\
For what value of x (in radians) does cos(x) = x?  Hint: start with a plot to \
give you an approximate answer.\
\>", "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.544060961789875*^9}, {3.54406104754845*^9, 
   3.544061057928488*^9}, {3.544194875778266*^9, 3.544194878977586*^9}, {
   3.5441949424919367`*^9, 3.5441949689175787`*^9}, {3.544202837632013*^9, 
   3.5442028391041603`*^9}, {3.544576943696598*^9, 3.5445769749527235`*^9}, {
   3.545420383083435*^9, 3.5454203835224786`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to use the Solve command", "Subsection",
 CellChangeTimes->{{3.5441960355112276`*^9, 3.544196050987775*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"r", " ", "x"}], " ", "\[Equal]", " ", 
    RowBox[{"s", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "x"}], " ", "-", " ", "5"}], ")"}]}]}], ",", " ", 
   "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440585533936896`*^9, 3.5440586085316896`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"3", " ", 
     RowBox[{"x", "^", "2"}]}], " ", "\[Equal]", " ", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", " ", "x"}], " ", "-", " ", 
        RowBox[{"x", "^", "2"}]}], ")"}]}], " ", "+", "5"}]}], ",", " ", 
   "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440586234906893`*^9, 3.54405864880569*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.5440586535696898`*^9, 3.54405865437169*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", " ", "+", " ", 
       RowBox[{"2", " ", "y"}]}], " ", "\[Equal]", " ", "3"}], " ", ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"4", " ", "x"}], " ", "+", " ", 
       RowBox[{"5", " ", "y"}]}], " ", "\[Equal]", "6"}]}], " ", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.544201137365003*^9, 3.5442011422054873`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\nThe Solve command is a lot like FindRoot, and is extremely useful when \
solving equations. It allows you to do a multitude of tasks: isolate a \
variable in an algebraic expression, solve a quadratic equation (or any \
polynomial, I believe), even solve simultaneous equations. Take note of the \
required syntax; among other things, it uses the \"double equals\" like \
FindRoot. Despite its power, it also has serious limitations, which is why I \
myself often turn first to FindRoot if all I want to do is solve numerically \
for a particular value of x in an equation. On the other hand, FindRoot will \
only find real numbers, whereas Solve can find complex solutions."
}], "Text",
 CellChangeTimes->{{3.544200998586127*^9, 3.544201053713639*^9}, 
   3.5442012061998863`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to find the maximum/minimum of a function", "Subsection",
 CellChangeTimes->{{3.5440404209906893`*^9, 3.5440404265306897`*^9}}],

Cell["\<\
There are multiple ways to do this job. Here is one of my favorites:\
\>", "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 3.5440404456256895`*^9}}],

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "'"}], "[", "x", "]"}], "\[Equal]", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "2"}], "}"}]}], "]"}]], "Input"],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. I\[CloseCurlyQuote]ve simply combined two functions in one: first \
the derivative function, \[OpenCurlyQuote], to compute the derivative of the \
function f, and then the FindRoot command to find where the derivative equals \
zero. I gave it x=2 as a starting point because I knew from the original plot \
of f(x) above that x=2 was close to where f(x) had a maximum. Again, making a \
plot first is often a very useful thing to do.\n\n2. This just tells you the \
value of x when f(x) is a maximum. To determine the value of the function \
itself, you\[CloseCurlyQuote]d have to evaluate f(x) at that value of x."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405905636897`*^9, 
   3.5440406472086897`*^9}, {3.5440546106166897`*^9, 
   3.5440546157356896`*^9}, {3.544099802229673*^9, 3.544099857231819*^9}}],

Cell["Here's a built-in command to do the same thing:", "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405905636897`*^9, 3.5440406472086897`*^9}, 
   3.5440546106166897`*^9}],

Cell[BoxData[
 RowBox[{"FindMaximum", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.54404053101569*^9, 3.5440405394776897`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. That gives you both the maximum function value and the value of x \
for which it\[CloseCurlyQuote]s a maximum.\n\n2. There are a tremendous \
number of built-in functions. This happens to be one that I forgot about for \
a few years until I rediscovered it recently. Is it a valuable function? Yes, \
but since it\[CloseCurlyQuote]s so easy to mimic (as I did initially), it\
\[CloseCurlyQuote]s not nearly as valuable as the FindRoot function."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440998768409405`*^9, 3.544099917687277*^9}}],

Cell[CellGroupData[{

Cell["Assignment 3: Diffraction from a slit", "Subsubsection",
 CellChangeTimes->{{3.5440554210986896`*^9, 3.5440555194806895`*^9}, {
  3.54405557039769*^9, 3.5440556034836893`*^9}, {3.5442034109963436`*^9, 
  3.5442034395181956`*^9}, {3.544203478040047*^9, 3.5442038529665365`*^9}, {
  3.5442038872219615`*^9, 3.5442040323004675`*^9}, {3.5442042008263187`*^9, 
  3.54420420993923*^9}, {3.5442043912753615`*^9, 3.544204404792713*^9}, {
  3.5454201690002184`*^9, 3.5454201694262185`*^9}, {3.545420268596218*^9, 
  3.5454202726112185`*^9}}],

Cell[TextData[{
 "In Physics 123 you (hopefully) learned that the diffraction pattern \
produced by a single slit of non-negligible width is given by:  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"I", "(", "y", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["I", "0"], "  ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox[
        RowBox[{"sin", "(", 
         RowBox[{"\[Pi]ya", "/", "\[Lambda]L"}], ")"}], 
        RowBox[{"\[Pi]ya", "/", "\[Lambda]L"}]], ")"}], "2"]}]}], 
   TraditionalForm]]],
 ", where ",
 StyleBox["a ",
  FontSlant->"Italic"],
 "is the slit width, ",
 StyleBox["L",
  FontSlant->"Italic"],
 " is the distance to the screen where the pattern is being observed, and ",
 StyleBox["y",
  FontSlant->"Italic"],
 " is the position on the screen.  (Disclaimer: this involves a small angle \
approximation.) Sometimes that is written in terms of the \"sinc\" function, \
where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"sinc", "(", "x", ")"}], "=", 
    FractionBox[
     RowBox[{"sin", "(", "x", ")"}], "x"]}], TraditionalForm]]],
 ". (Incidentally, Sinc is a pre-defined function in ",
 StyleBox["Mathematica,",
  FontSlant->"Italic"],
 " just like Sin itself.) In the equation, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["I", "0"], TraditionalForm]]],
 " is the intensity at ",
 StyleBox["x ",
  FontSlant->"Italic"],
 "= 0; let's just define that as 1, for some choice of units. \n(a) Make a \
plot of this function for a few maxima/minima around the central maximum, for \
a 100 micron slit, a 633 nm laser, and a distance to screen = 10 m. \n(b) \
Determine the position ",
 StyleBox["y",
  FontSlant->"Italic"],
 " of the first maximum to the right of the central maximum."
}], "Text",
 CellChangeTimes->{{3.5440554210986896`*^9, 3.5440555194806895`*^9}, {
  3.54405557039769*^9, 3.5440556034836893`*^9}, {3.5442034109963436`*^9, 
  3.5442034395181956`*^9}, {3.544203478040047*^9, 3.5442038529665365`*^9}, {
  3.5442038872219615`*^9, 3.5442040323004675`*^9}, {3.5442042008263187`*^9, 
  3.54420420993923*^9}, {3.5442043912753615`*^9, 3.544204404792713*^9}, {
  3.5454201690002184`*^9, 3.5454202552052183`*^9}, {3.5618355578345156`*^9, 
  3.561835564834215*^9}, {3.5618356346892*^9, 3.5618357082785587`*^9}, {
  3.5618357415248823`*^9, 3.56183574660039*^9}, {3.561835786754405*^9, 
  3.5618358488236113`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to perform a summation", "Subsection",
 CellChangeTimes->{{3.5440437304076896`*^9, 3.54404374255569*^9}}],

Cell["Some examples :", "Text",
 CellChangeTimes->{{3.5440437588136897`*^9, 3.5440437687476892`*^9}}],

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"n", "^", "2"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "100"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"%", ",", " ", "20"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"n", "^", "2"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "Infinity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440440658666897`*^9, 3.5440440809066896`*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.561835915109239*^9, 3.561835915864315*^9}}],

Cell[BoxData[
 RowBox[{"Sum", "[", " ", 
  RowBox[{
   RowBox[{"n", " ", 
    RowBox[{"x", "^", "n"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.5440441092706895`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"exptaylor", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"Sum", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "^", "n"}], " ", "/", 
      RowBox[{"n", "!"}]}], " ", ",", " ", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "1000"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5440438378266897`*^9, 3.5440438865126896`*^9}, {
  3.54404393087169*^9, 3.5440439328276896`*^9}, {3.5440439719226894`*^9, 
  3.5440439722016897`*^9}, {3.5440440416156893`*^9, 3.54404405469269*^9}, {
  3.5440441307826896`*^9, 3.5440441315366898`*^9}, {3.5440443132226896`*^9, 
  3.5440443178146896`*^9}, {3.544124811151101*^9, 3.5441248431209297`*^9}}],

Cell[BoxData[
 RowBox[{"exptaylor", "[", "1.2", "]"}]], "Input",
 CellChangeTimes->{{3.5440439006916895`*^9, 3.54404390910069*^9}, {
  3.5440441183886895`*^9, 3.5440441353916893`*^9}, {3.544099959858689*^9, 
  3.5440999610527573`*^9}}],

Cell[BoxData[
 RowBox[{"E", "^", "1.2"}]], "Input",
 CellChangeTimes->{{3.5440439148656893`*^9, 3.5440439210136895`*^9}, {
  3.5440441238816895`*^9, 3.5440441378536897`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\n1. The Sum command can be very useful to quickly compute numerical \
summations. The first summation above would be read as \
\[OpenCurlyDoubleQuote]Sum 1/n^2, with n ranging from 1 to 100\
\[CloseCurlyDoubleQuote]. The second argument (which must be in braces) \
indicates the variable to sum over as well as the summation range, just as in \
the Integrate command.\n\n2. Sum can be used to determine the value of an \
infinite summation.\n\n3. Sum can also be used to define functions which \
include symbolic summations, and in function definitions. \
I\[CloseCurlyQuote]ve defined exptaylor[x_] to be the first 1000 terms of the \
Taylor series for e^x.\n\n4. A semicolon can be used at the end of a command \
to suppress the output. Try the exptaylor[x_] function definition command \
without the semicolon.\n\n5. As you might expect, the \
\[OpenCurlyDoubleQuote]!\[CloseCurlyDoubleQuote] symbol can be used to do \
factorials."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405459046869*^9}, {3.5440599276365557`*^9, 3.5440599399464474`*^9}, {
   3.544100018429039*^9, 3.544100018557046*^9}, {3.5441248535245247`*^9, 
   3.5441248571347313`*^9}}],

Cell[CellGroupData[{

Cell["Assignment 4. Two summations", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.5440609284405403`*^9}, {3.544126570457728*^9, 
   3.5441265730818777`*^9}, {3.5441948167633653`*^9, 
   3.5441948281465034`*^9}, {3.5441948691316013`*^9, 
   3.5441948722269106`*^9}, {3.5442060065783496`*^9, 
   3.5442060066663494`*^9}, {3.5454202791022186`*^9, 3.545420316728218*^9}, {
   3.5618956458792343`*^9, 3.561895648270234*^9}}],

Cell[TextData[{
 "(a) Calculate the value of  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"n", "=", "1"}], "\[Infinity]"], 
     FractionBox["1", 
      SuperscriptBox["n", "6"]]}],
    FontSize->18], TraditionalForm]],
  CellChangeTimes->{{3.427581474707872*^9, 3.427581475504752*^9}, {
    3.4275917210859485`*^9, 3.4275917865707426`*^9}, 3.427591836774189*^9, {
    3.42759389169359*^9, 3.427593901193651*^9}}],
 ". \n(b) Calculate the value of 1 - 1/2 + 1/3 - 1/4 + 1/5 - 1/6 + ..."
}], "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.5440609284405403`*^9}, {3.544126570457728*^9, 
   3.5441265730818777`*^9}, {3.5441948167633653`*^9, 
   3.5441948281465034`*^9}, {3.5441948691316013`*^9, 
   3.5441948722269106`*^9}, {3.5442060065783496`*^9, 
   3.5442060066663494`*^9}, {3.5454202791022186`*^9, 
   3.5454202802032185`*^9}, {3.561895649296234*^9, 3.561895658173234*^9}, {
   3.5619021410892344`*^9, 3.5619021418862343`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to simplify results", "Subsection",
 CellChangeTimes->{{3.54419602183486*^9, 3.544196032395916*^9}, {
  3.544200531862459*^9, 3.5442005326535378`*^9}}],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"1", "+", 
   RowBox[{"4", " ", "x"}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["x", "3"]}], "+", 
   SuperscriptBox["x", "4"]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440564798616896`*^9, 3.54405648996169*^9}, {
  3.5441001322175474`*^9, 3.544100132370556*^9}}],

Cell[BoxData[
 RowBox[{"complicatedexpression", " ", "=", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"(", 
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "x"}], ")"}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], " ", "+", " ", 
      RowBox[{"2", "x"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x", " ", "+", 
        RowBox[{"x", "^", "2"}]}], ")"}]}], ")"}]}], "+", 
   RowBox[{"2", "/", 
    RowBox[{"(", 
     RowBox[{"3", 
      RowBox[{"(", 
       RowBox[{"1", " ", "+", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", "3"}], ")"}], " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], " ", "+", 
            RowBox[{"2", " ", "x"}]}], ")"}], "^", "2"}]}]}], ")"}]}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5440565210856895`*^9, 3.5440565939816895`*^9}, {
   3.5440568089506893`*^9, 3.5440568180696898`*^9}, 3.5441000608634663`*^9, {
   3.5442005638846607`*^9, 3.5442006561818895`*^9}, {3.5442007541156816`*^9, 
   3.544200758745145*^9}}],

Cell[BoxData[
 RowBox[{"Simplify", "[", "complicatedexpression", "]"}]], "Input",
 CellChangeTimes->{{3.5440566063226895`*^9, 3.5440566083016896`*^9}, {
  3.5442007631445847`*^9, 3.544200765863857*^9}}],

Cell[BoxData[
 RowBox[{"complicatedexpression", "[", "2", "]"}]], "Input",
 CellChangeTimes->{{3.5618360904227686`*^9, 3.5618360934390707`*^9}}],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n  \n1. A lot of time symbolic integration or differentiation will give \
output that looks like the complicated function above. I've gotten into the \
habit of typing \"Simplify[%]\" whenever I obtain some output that looks at \
all like it might be simplifyable.\n\n2. You don\[CloseCurlyQuote]t ",
 StyleBox["always",
  FontSlant->"Italic"],
 " have to define a function using the bracket & underscore notation. \
However, if you don\[CloseCurlyQuote]t you have to be really careful because \
the results might not be what you expect. In the example above, it might ",
 StyleBox["look",
  FontSlant->"Italic"],
 " like I have defined \[OpenCurlyDoubleQuote]complicatedexpression\
\[CloseCurlyDoubleQuote] as a function of x. However, what I have ",
 StyleBox["actually ",
  FontSlant->"Italic"],
 "done is defined \[OpenCurlyDoubleQuote]complicatedexpression\
\[CloseCurlyDoubleQuote] as a ",
 StyleBox["variable",
  FontSlant->"Italic"],
 " whose value is equal to the three terms involving x. \
That\[CloseCurlyQuote]s fine here, since I was using the term \
\[OpenCurlyDoubleQuote]complicatedexpression\[CloseCurlyDoubleQuote] strictly \
in place of where I would have to type the expression itself. But if you try \
typing, for example, \[OpenCurlyDoubleQuote]complicatedexpression[2]\
\[CloseCurlyDoubleQuote] to evaluate the function at x=2, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " won\[CloseCurlyQuote]t know what to do. There are ways to treat \
expressions like that as functions; we\[CloseCurlyQuote]ll get into that in \
the next lab."
}], "Text",
 CellChangeTimes->{{3.5441961001826944`*^9, 3.5441961055972357`*^9}, {
  3.5442006665869303`*^9, 3.5442007315414248`*^9}, {3.5442007740156717`*^9, 
  3.544200843873657*^9}, {3.544200875618831*^9, 3.5442009037386427`*^9}, {
  3.561836045456273*^9, 3.5618361122619524`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["A bit more algebra ", "Subsection",
 CellChangeTimes->{{3.5440558564176893`*^9, 3.5440558832906895`*^9}, {
   3.544059577674917*^9, 3.5440595893723197`*^9}, {3.5440599542206717`*^9, 
   3.5440599754426885`*^9}, {3.544121005345422*^9, 3.544121005405425*^9}, {
   3.5443006949447427`*^9, 3.5443007078867426`*^9}, {3.5443008063287425`*^9, 
   3.544300822639743*^9}, 3.5459095635191936`*^9, {3.5619070535621543`*^9, 
   3.5619070554733453`*^9}}],

Cell["\<\
Mathematica has many advanced algebraic functions. \
\[OpenCurlyDoubleQuote]Solve\[CloseCurlyDoubleQuote] and \
\[OpenCurlyDoubleQuote]Simplify\[CloseCurlyDoubleQuote] are two examples; \
here are a few more examples of algebraic-related functions that can be \
helpful. Figure out what each one is doing.\
\>", "Text",
 CellChangeTimes->{{3.5440563718556895`*^9, 3.5440563747016897`*^9}, {
   3.54405641018069*^9, 3.54405646118069*^9}, {3.5441000847018294`*^9, 
   3.5441000923802686`*^9}, 3.544124869940464*^9, {3.5443007029197426`*^9, 
   3.5443007102067423`*^9}, {3.544369204254056*^9, 3.5443692487445045`*^9}, {
   3.5619070671865163`*^9, 3.5619070889396915`*^9}}],

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "x"}], ")"}], "^", "4"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440564531826897`*^9, 3.54405647033669*^9}}],

Cell[BoxData[
 RowBox[{"Together", "[", 
  RowBox[{
   RowBox[{"1", "/", "x"}], "+", 
   RowBox[{"1", "/", "y"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.54405697514769*^9, 3.5440569932426896`*^9}}],

Cell[BoxData[
 RowBox[{"Apart", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"x", "+", "y"}], ")"}], "/", 
   RowBox[{"(", "xy", ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440569957236896`*^9, 3.5440570064676895`*^9}}],

Cell[BoxData[
 RowBox[{"longexpression", " ", "=", " ", 
  RowBox[{"1", "+", 
   RowBox[{"4", " ", "r"}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["r", "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["r", "3"]}], "+", 
   SuperscriptBox["r", "4"], "+", 
   RowBox[{"4", " ", "s"}], "+", 
   RowBox[{"12", " ", "r", " ", "s"}], "+", 
   RowBox[{"12", " ", 
    SuperscriptBox["r", "2"], " ", "s"}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["r", "3"], " ", "s"}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["s", "2"]}], "+", 
   RowBox[{"12", " ", "r", " ", 
    SuperscriptBox["s", "2"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["r", "2"], " ", 
    SuperscriptBox["s", "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["s", "3"]}], "+", 
   RowBox[{"4", " ", "r", " ", 
    SuperscriptBox["s", "3"]}], "+", 
   SuperscriptBox["s", "4"]}]}]], "Input",
 CellChangeTimes->{{3.5440572528216896`*^9, 3.5440572932006893`*^9}}],

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{"longexpression", ",", "s"}], "]"}]], "Input",
 CellChangeTimes->{
  3.5440573033266897`*^9, {3.5440575856436896`*^9, 3.5440575881726894`*^9}}],

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{"longexpression", ",", "s", ",", " ", "Simplify"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440573317786894`*^9, 3.5440573340106897`*^9}, {
  3.54405759190469*^9, 3.5440575945636897`*^9}, {3.58678424248044*^9, 
  3.586784243672435*^9}}],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\nCollect is one of the subtlest functions of that bunch. It attempts to \
group the expression in powers of the specified variable. The \
\[OpenCurlyDoubleQuote]Simplify\[CloseCurlyDoubleQuote] option is a \
nice/helpful touch."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405459046869*^9}, {3.54405704781269*^9, 3.5440571266066895`*^9}, {
   3.5440574077506895`*^9, 3.5440576770246897`*^9}, {3.5440586683616896`*^9, 
   3.54405869466669*^9}, {3.5440587608876896`*^9, 3.5440588852176895`*^9}, {
   3.5441002224087057`*^9, 3.5441003602935925`*^9}, {3.5441861930082235`*^9, 
   3.5441862357481003`*^9}, {3.5441954225589385`*^9, 3.544195423766059*^9}, {
   3.5442007412253933`*^9, 3.5442007715604267`*^9}, 3.5442009942386923`*^9, {
   3.5443007187427425`*^9, 3.5443007225017424`*^9}, {3.5557618660622053`*^9, 
   3.5557618666832676`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Cosmetics", "Section",
 CellChangeTimes->{{3.5440435253026896`*^9, 3.5440435357036896`*^9}, {
   3.544060044838461*^9, 3.5440600476722703`*^9}, {3.5440634636160326`*^9, 
   3.5440634638560567`*^9}, 3.5618338527560244`*^9}],

Cell["\<\
Here are various ways you can clean up the look of your notebooks. You don\
\[CloseCurlyQuote]t have to try them all out, but do look them over so that \
when the need arises you can say to yourself, \[OpenCurlyDoubleQuote]Wasn\
\[CloseCurlyQuote]t there something about this in Lab1?\
\[CloseCurlyDoubleQuote]\
\>", "Text",
 CellChangeTimes->{{3.544062246930376*^9, 3.5440622586705503`*^9}, {
  3.5440634182905006`*^9, 3.54406343018569*^9}, {3.544201299017167*^9, 
  3.544201333770642*^9}, {3.5442024546197157`*^9, 3.5442024629865522`*^9}, {
  3.5550760474130244`*^9, 3.5550760475010333`*^9}}],

Cell[CellGroupData[{

Cell["How to leave comments", "Subsection",
 CellChangeTimes->{{3.5440614209897904`*^9, 3.544061435005192*^9}}],

Cell[TextData[{
 "In a complicated program it' s critically  important to leave comments for \
yourself (and others), so that you (and they) will know what was going on in \
your head when you wrote the code that way. You do that in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " via paired parentheses/asterisks: "
}], "Text",
 CellChangeTimes->{{3.544061439257617*^9, 3.5440615206017504`*^9}, 
   3.5440617918088684`*^9}],

Cell[BoxData[
 RowBox[{"hbar", " ", "=", " ", "1.055*^-34", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"this", " ", "is", " ", 
     RowBox[{"Plank", "'"}], "s", " ", "constant"}], ",", " ", 
    RowBox[{"divided", " ", "by", " ", "2", " ", "Pi"}]}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.544061529185609*^9, 3.5440615716648564`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to make input cells look pretty", "Subsection",
 CellChangeTimes->{{3.4275047198753443`*^9, 3.427504725891008*^9}, {
  3.4275416161739793`*^9, 3.4275416171427355`*^9}, {3.4275417017057767`*^9, 
  3.4275417061901803`*^9}, {3.431182770469048*^9, 3.43118277189095*^9}, {
  3.5440621998596697`*^9, 3.5440622194006233`*^9}, {3.54410098878554*^9, 
  3.5441009996331606`*^9}, {3.544101088490243*^9, 3.544101094315576*^9}}],

Cell[TextData[{
 "I personally prefer to type equations/expressions exactly the way you\
\[CloseCurlyQuote]ve seen in this notebook so far, typing them out using \
functions/parentheses/etc. However, some prefer using the math input \
\[OpenCurlyDoubleQuote]palette\[CloseCurlyDoubleQuote] to help you type them \
in. Open that palette via ",
 StyleBox["Palettes",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Basic Math Assistant. ",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "Explore the options there if you\[CloseCurlyQuote]d like.That palette has a \
host of formatting capabilities. One of those is the ability to add Greek \
letters (they are under \[OpenCurlyDoubleQuote]Typesetting\
\[CloseCurlyDoubleQuote])--but if that\[CloseCurlyQuote]s all you need, my \
own preference to get Greek letters is via the ",
 StyleBox["Insert",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Special Character ",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "menu item. \n\nYou can also accomplish many formatting tasks using keyboard \
shortcuts. See for example the documentation on ",
 StyleBox[ButtonBox["Two-Dimensional Input",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/EnteringTwoDimensionalInput"],
  FontWeight->"Bold"],
 " and ",
 StyleBox[ButtonBox["Special Characters",
  BaseStyle->"Link",
  ButtonData->"paclet://guide/SpecialCharacters"],
  FontWeight->"Bold"],
 ". "
}], "Text",
 CellChangeTimes->CompressedData["
1:eJwdyl1IU2EAh/HjTmIXddFKwWW5qdE0szUiqklxbC1boLgLkyYSRqWjsTzE
goKasGXWZi4zxW1kO1qsi5QEET+SImSMnfVBLthFCV24I1R2mGkk0ft/Lx5+
N4+m2WG5oGAYRkuCiQr7F/acxLkMpTJs4FN/4Ny6cfMGYtWwrISu1+k8qM35
/cvRKXG3cuZkmO5L518hHugPquDLAa8aFqk9e2FB+LAeZg9FD8Km0jvHYevI
ch1s1K82QKZyxQFd1W98kI1Z/TCTKA5BQ61I3XheIcLdi/NJ+mfvL2wjmrul
Q1DZW2eEqZ1DVjilaW+GMxoP1VzS3wLzymxO+K/ypgAXTFumYG1NNA6fJO6J
8EhWhYknzmZdPgnPstxp2MieoHbdXrBAPpjbAfc9DvigoXCCmh4c98O3u2pC
0BnZ/hQORNqos/YdHg9Rv5y5C3X82H24Jj/ww8DVa72wbEV8BMtXewLQez0s
wLBOoVz3SZy7tSgXCmeeBe0PJS72+RU1KayZhEGJM5Yw1TCujVug/rm6Hk4z
TluE+IkZoerYo9H5S0vc39Eb3+CLi2OL0P3DLUFV96nv8P02y6Yk8ae5YCts
au9QwVSsr+UrUQ59sMFyazEPee8eas/kMTHSucQ5P2bewf9zl0qU
  "]]
}, Closed]],

Cell[CellGroupData[{

Cell["Changing the \[OpenCurlyDoubleQuote]style\[CloseCurlyDoubleQuote] of a \
cell", "Subsection",
 CellChangeTimes->{{3.4274911607260666`*^9, 3.4274911645073404`*^9}, {
   3.427498178395979*^9, 3.4274981808022447`*^9}, {3.4275056842252665`*^9, 
   3.4275056870690346`*^9}, {3.427541684580667*^9, 3.427541687268184*^9}, 
   3.427574135830593*^9, {3.4311827796098485`*^9, 3.4311827809848747`*^9}, 
   3.439664094928958*^9, {3.544062316918374*^9, 3.5440623494336257`*^9}}],

Cell["\<\
The most helpful thing under the Format menu is setting the style of a cell, \
under Format \[RightArrow] Style \[RightArrow] < various styles > . That \
allows you to change a cell to Text style, for example, so that it won\
\[CloseCurlyQuote]t be evaluated as input, or to create section titles, \
bullet points, and so forth. Try changing this cell to a different style to \
see what happens, resetting it to \"Text\" when you are done. Be sure to \
select the whole cell as you do this, by clicking on the relevant vertical \
bar on the right.\
\>", "Text",
 CellChangeTimes->{{3.427491178913683*^9, 3.427491271664276*^9}, {
   3.427491335789687*^9, 3.427491342274103*^9}, {3.427491381696231*^9, 
   3.427491437368462*^9}, {3.427491530369057*^9, 3.4274915791662445`*^9}, {
   3.427498477366643*^9, 3.427498521679426*^9}, {3.4274985754141455`*^9, 
   3.4274987517121487`*^9}, {3.427498863822241*^9, 3.427498950213419*^9}, {
   3.4274989926824408`*^9, 3.427499250887218*^9}, {3.4274992871062*^9, 
   3.427499316606389*^9}, {3.4274993473253355`*^9, 3.427499799593855*^9}, {
   3.4274998381097264`*^9, 3.4274999172977333`*^9}, {3.427500062548663*^9, 
   3.427500070454963*^9}, {3.427500206955837*^9, 3.4275002357841463`*^9}, {
   3.4275003600036917`*^9, 3.4275003609099474`*^9}, {3.4275005522080464`*^9, 
   3.4275005595830936`*^9}, {3.4275007720375786`*^9, 3.427500776678233*^9}, {
   3.4275010020859256`*^9, 3.4275011419930716`*^9}, 3.427504618030943*^9, {
   3.4275413568285694`*^9, 3.4275414390009704`*^9}, {3.4396633373928595`*^9, 
   3.439663338127239*^9}, 3.4396633763618593`*^9, {3.4396760731239977`*^9, 
   3.439676075108386*^9}, {3.5440623517708592`*^9, 3.5440625797766576`*^9}, {
   3.544120329383759*^9, 3.5441204372649293`*^9}, {3.5441204685517187`*^9, 
   3.5441204729699717`*^9}, {3.561836190184744*^9, 3.5618361916408896`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Changing the appearance of the whole notebook", "Subsection",
 CellChangeTimes->{{3.544062509423623*^9, 3.544062515207201*^9}, 
   3.54406258630231*^9}],

Cell[TextData[{
 "The ",
 StyleBox["Format",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Stylesheet",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 StyleBox[" ",
  FontWeight->"Bold"],
 "submenu changes the look and feel of the whole notebook by altering the \
fonts and colors associated with each style.  The stylesheet used here is the \
",
 StyleBox["Utility",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Memo",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 StyleBox[" ",
  FontSlant->"Italic"],
 "stylesheet.  Try changing this just for fun.  You can also edit existing \
stylesheets or even create new ones.\n\nAlso, ",
 StyleBox["Control-Mousewheel",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " is a nice trick for making the text of the whole document get bigger or \
smaller, just as in most web browsers."
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.4275020040923386`*^9}, {3.4275020598739457`*^9, 
   3.4275022012498503`*^9}, {3.427502238218837*^9, 3.4275022611564837`*^9}, {
   3.427541148483486*^9, 3.427541183921213*^9}, {3.42754121632767*^9, 
   3.427541267828*^9}, {3.4275414821262465`*^9, 3.4275415819393854`*^9}, {
   3.4275433055864058`*^9, 3.427543323680272*^9}, {3.427543537650391*^9, 
   3.4275439561686945`*^9}, {3.42754400621589*^9, 3.4275440345754466`*^9}, {
   3.4396633031895156`*^9, 3.439663303736394*^9}, {3.4396633405178795`*^9, 
   3.439663391236954*^9}, {3.4396759342637343`*^9, 3.439675956670128*^9}, 
   3.4396761159055223`*^9, {3.5440625959762774`*^9, 3.5440626193796177`*^9}, {
   3.544120485677698*^9, 3.5441205134582872`*^9}, {3.544195524474129*^9, 
   3.544195580826764*^9}, {3.5618362321619415`*^9, 3.561836246010326*^9}, {
   3.5859274939136057`*^9, 3.585927500384605*^9}, {3.585927553550905*^9, 
   3.5859275763478403`*^9}, {3.586787202553129*^9, 3.586787227360992*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Changing the appearance of individual words", "Subsection",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.4275020040923386`*^9}, {3.4275020598739457`*^9, 
   3.4275022012498503`*^9}, {3.427502238218837*^9, 3.4275022611564837`*^9}, {
   3.427541148483486*^9, 3.427541183921213*^9}, {3.42754121632767*^9, 
   3.427541267828*^9}, {3.4275414821262465`*^9, 3.4275415819393854`*^9}, {
   3.4275433055864058`*^9, 3.427543323680272*^9}, {3.427543537650391*^9, 
   3.4275439561686945`*^9}, {3.42754400621589*^9, 3.4275440345754466`*^9}, {
   3.4396633031895156`*^9, 3.439663303736394*^9}, {3.4396633405178795`*^9, 
   3.439663391236954*^9}, {3.4396759342637343`*^9, 3.439675956670128*^9}, 
   3.4396761159055223`*^9, {3.5440625959762774`*^9, 3.5440626220198812`*^9}, {
   3.5440626561542945`*^9, 3.544062661127792*^9}}],

Cell[TextData[{
 "As in most word processors, ",
 StyleBox["Control-B",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " and ",
 StyleBox["Control-I",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " produce bolded and/or italicized text.  The ",
 StyleBox["Format",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " menu options can also be used to alter the font/face/size/color of a \
specific word or phrase, though I myself don\[CloseCurlyQuote]t often bother \
with that capability."
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.4275020040923386`*^9}, {3.4275020598739457`*^9, 
   3.4275022012498503`*^9}, {3.427502238218837*^9, 3.4275022611564837`*^9}, {
   3.427541148483486*^9, 3.427541183921213*^9}, {3.42754121632767*^9, 
   3.427541267828*^9}, {3.4275414821262465`*^9, 3.4275415819393854`*^9}, {
   3.4275433055864058`*^9, 3.427543323680272*^9}, {3.427543537650391*^9, 
   3.4275439561686945`*^9}, {3.42754400621589*^9, 3.4275440345754466`*^9}, {
   3.4396633031895156`*^9, 3.439663303736394*^9}, {3.4396633405178795`*^9, 
   3.439663391236954*^9}, {3.4396759342637343`*^9, 3.439675956670128*^9}, 
   3.4396761159055223`*^9, {3.5440625959762774`*^9, 3.5440626220198812`*^9}, {
   3.5440626655732365`*^9, 3.5440627172434025`*^9}, {3.5441205789720345`*^9, 
   3.5441206038104553`*^9}, {3.561836264020127*^9, 3.561836307188443*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Splitting/merging cells", "Subsection",
 CellChangeTimes->{{3.544062741598838*^9, 3.544062751634842*^9}}],

Cell[TextData[{
 "The ",
 StyleBox["Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Divide Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " and ",
 StyleBox["Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Merge Cells",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " options can be quite useful.  In the input cell below, place your cursor \
at the beginning of the second expression and split the cell into two \
separate cells.  Then select both cells and merge them back together again.  \
When the cells split or merge, notice that the cell brackets at the right \
also split and merge."
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.4275020040923386`*^9}, {3.4275020598739457`*^9, 
   3.4275022012498503`*^9}, {3.427502238218837*^9, 3.4275022611564837`*^9}, 
   3.4275022935941916`*^9, {3.4275985770360765`*^9, 3.4275986057237597`*^9}, {
   3.439663441096648*^9, 3.4396634622530336`*^9}, {3.439663524878434*^9, 
   3.439663528456582*^9}, {3.5440627621728954`*^9, 3.544062792340912*^9}, {
   3.5441206189443207`*^9, 3.544120628148847*^9}}],

Cell[BoxData[{
 RowBox[{"1", "+", "1"}], "\n", 
 RowBox[{"2", "/", "2"}]}], "Input",
 CellChangeTimes->{{3.427502022467456*^9, 3.4275020379988055`*^9}, {
  3.4275021723121653`*^9, 3.427502224937502*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to \[OpenCurlyDoubleQuote]clean up\[CloseCurlyDoubleQuote] output \
cells", "Subsection",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.427501750684467*^9}, {3.4275023295319214`*^9, 3.4275025352988634`*^9}, {
   3.427502626549447*^9, 3.427502813128766*^9}, {3.4275028680353675`*^9, 
   3.4275028681603684`*^9}, {3.42750291675443*^9, 3.4275030273176374`*^9}, {
   3.4275033879449453`*^9, 3.4275035765399017`*^9}, {3.427503718259559*^9, 
   3.4275037243689733`*^9}, {3.4275046894376497`*^9, 3.427504699375213*^9}, {
   3.4275063590889606`*^9, 3.4275064107455406`*^9}, {3.427598472660408*^9, 
   3.4275985725204225`*^9}, {3.427598640223981*^9, 3.427598970897972*^9}, {
   3.4275990592891626`*^9, 3.4275991133207583`*^9}, {3.427599170743001*^9, 
   3.4275993107751474`*^9}, {3.4275994880575314`*^9, 
   3.4275996092926826`*^9}, {3.4275996540585938`*^9, 
   3.4275998294972167`*^9}, {3.4275998609817934`*^9, 3.4276000833582163`*^9}, 
   3.4293341432736683`*^9, {3.4396634532842264`*^9, 3.4396634762218733`*^9}, {
   3.4396635089564576`*^9, 3.4396636458010836`*^9}, {3.439676144655706*^9, 
   3.4396761642652063`*^9}, 3.544062817244402*^9, {3.5440629455752335`*^9, 
   3.54406305534921*^9}, {3.5440631113398085`*^9, 3.544063187451419*^9}}],

Cell[TextData[{
 "The ",
 StyleBox["Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Delete All Output",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " option deletes every output cell in the entire notebook.  This can be \
useful when cleaning up your notebook at the end of a session, but can't be \
undone (although, as mentioned above, you can do a Control-A followed by \
shift-enter to reevaluate everything from scratch)."
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.427501750684467*^9}, {3.4275023295319214`*^9, 3.4275025352988634`*^9}, {
   3.427502626549447*^9, 3.427502813128766*^9}, {3.4275028680353675`*^9, 
   3.4275028681603684`*^9}, {3.42750291675443*^9, 3.4275030273176374`*^9}, {
   3.4275033879449453`*^9, 3.4275035765399017`*^9}, {3.427503718259559*^9, 
   3.4275037243689733`*^9}, {3.4275046894376497`*^9, 3.427504699375213*^9}, {
   3.4275063590889606`*^9, 3.4275064107455406`*^9}, {3.427598472660408*^9, 
   3.4275985725204225`*^9}, {3.427598640223981*^9, 3.427598970897972*^9}, {
   3.4275990592891626`*^9, 3.4275991133207583`*^9}, {3.427599170743001*^9, 
   3.4275993107751474`*^9}, {3.4275994880575314`*^9, 
   3.4275996092926826`*^9}, {3.4275996540585938`*^9, 
   3.4275998294972167`*^9}, {3.4275998609817934`*^9, 3.4276000833582163`*^9}, 
   3.4293341432736683`*^9, {3.4396634532842264`*^9, 3.4396634762218733`*^9}, {
   3.4396635089564576`*^9, 3.4396636458010836`*^9}, {3.439676144655706*^9, 
   3.4396761642652063`*^9}, 3.544062817244402*^9, {3.5440629455752335`*^9, 
   3.54406305534921*^9}, {3.5440631113398085`*^9, 3.544063219918665*^9}, {
   3.544120657504526*^9, 3.544120701118021*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["A glipse behind the curtain", "Section",
 CellChangeTimes->{{3.5440634706287336`*^9, 3.5440635140780783`*^9}, {
   3.5440635515218225`*^9, 3.544063556071277*^9}, {3.5441207547420883`*^9, 
   3.544120763712601*^9}, 3.561833854988248*^9}],

Cell[CellGroupData[{

Cell["Functions that are behind the shorthand", "Subsection",
 CellChangeTimes->{{3.399757826043294*^9, 3.399757827214719*^9}, {
   3.405698984477128*^9, 3.405699020024458*^9}, {3.40570250811598*^9, 
   3.4057025090222416`*^9}, {3.4057213325623555`*^9, 
   3.4057213330628195`*^9}, {3.4275086610255675`*^9, 3.427508662056824*^9}, {
   3.427543135334654*^9, 3.427543137194065*^9}, {3.4311828624239388`*^9, 
   3.4311828855493827`*^9}, {3.544061807644452*^9, 3.5440618341611032`*^9}, 
   3.5440634510227737`*^9}],

Cell[TextData[{
 "All ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " expressions down to something as simple as \[OpenCurlyDoubleQuote]2 + 2\
\[CloseCurlyDoubleQuote] can be written as function calls. Here is what ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " really is \[OpenCurlyDoubleQuote]thinking\[CloseCurlyDoubleQuote] when you \
type in some simple things."
}], "Text",
 CellChangeTimes->{{3.427508358883009*^9, 3.4275086207596846`*^9}, {
   3.429157030278156*^9, 3.4291570313718987`*^9}, {3.4396662764585447`*^9, 
   3.439666285396102*^9}, {3.5440618393116183`*^9, 3.5440619061713037`*^9}, {
   3.54406194494118*^9, 3.544062030473733*^9}, 3.5440634510227737`*^9, {
   3.544120772816122*^9, 3.5441207748712397`*^9}, {3.5441208476224003`*^9, 
   3.544120883781469*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"3", "+", "4", "+", "5"}], "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plus", "[", 
   RowBox[{"3", ",", "4", ",", "5"}], "]"}], "  "}]}], "Input",
 CellChangeTimes->{{3.399757833274891*^9, 3.399757846504184*^9}, {
   3.401125874904126*^9, 3.4011258781667624`*^9}, {3.4056980029401383`*^9, 
   3.4056980465966344`*^9}, {3.4056989994616947`*^9, 
   3.4056990001492033`*^9}, {3.4057093239507947`*^9, 3.405709337302889*^9}, {
   3.5440619144711337`*^9, 3.5440619197736635`*^9}, {3.5440619565263386`*^9, 
   3.5440619748701725`*^9}, 3.5440634510237737`*^9, 3.544120830321411*^9, {
   3.5618953823229027`*^9, 3.5618953825879292`*^9}}],

Cell[BoxData[{
 RowBox[{"x", " ", "y", " ", "z"}], "\[IndentingNewLine]", 
 RowBox[{"Times", "[", 
  RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "Input",
 CellChangeTimes->{{3.3997578519083576`*^9, 3.3997578561879635`*^9}, {
   3.4011258812108493`*^9, 3.401125884067607*^9}, {3.4011259261540546`*^9, 
   3.401125927996117*^9}, {3.544061937130399*^9, 3.5440619406427507`*^9}, {
   3.544062044361121*^9, 3.544062048777563*^9}, 3.544063451030774*^9, 
   3.544120890309842*^9, {3.5618953914348135`*^9, 3.5618953916118317`*^9}}],

Cell[BoxData[{
 RowBox[{"x", "^", "2"}], "\[IndentingNewLine]", 
 RowBox[{"Power", "[", 
  RowBox[{"x", ",", "2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.399757864200511*^9, 3.39975787030754*^9}, {
   3.4011258870492506`*^9, 3.401125890077727*^9}, {3.5440620714678316`*^9, 
   3.5440620737070556`*^9}, 3.5440634510437756`*^9, 3.5441209119710813`*^9, {
   3.5618953994436145`*^9, 3.5618953996916394`*^9}}],

Cell[BoxData[{
 RowBox[{"q", "=", "4"}], "\[IndentingNewLine]", 
 RowBox[{"Set", "[", 
  RowBox[{"q", ",", "4"}], "]"}]}], "Input",
 CellChangeTimes->{{3.4275454153186584`*^9, 3.427545468897126*^9}, {
   3.4275455731165433`*^9, 3.427545577147819*^9}, {3.4275456255075035`*^9, 
   3.427545727101904*^9}, 3.429334023694013*^9, {3.4293861288748574`*^9, 
   3.429386132749907*^9}, {3.429386303595844*^9, 3.429386395159516*^9}, {
   3.4396662722553926`*^9, 3.4396662956305423`*^9}, {3.4396663509902716`*^9, 
   3.4396663661153684`*^9}, 3.5440597825984097`*^9, 3.544059863557807*^9, {
   3.5440621045531397`*^9, 3.5440621294716315`*^9}, 3.544063451049776*^9, 
   3.5441209208525887`*^9, {3.5618954047551455`*^9, 3.5618954049721675`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["What Mathematica actually \"sees\"", "Subsection",
 CellChangeTimes->{{3.544062925858262*^9, 3.544062939969673*^9}}],

Cell[TextData[{
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 "not only interprets shorthand notation as functions, it actually interprets \
nearly ",
 StyleBox["everything",
  FontSlant->"Italic"],
 " as functions.",
 StyleBox[" Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Show Expression",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " shows you how ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "  views a cell. Try it on this very simple text cell, for example. This \
feature can be toggled on and off -- so don't panic and accidentally delete \
the whole cell to escape the garbage on the screen! "
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.427501750684467*^9}, {3.4275023295319214`*^9, 3.4275025352988634`*^9}, {
   3.427502626549447*^9, 3.427502813128766*^9}, {3.4275028680353675`*^9, 
   3.4275028681603684`*^9}, {3.42750291675443*^9, 3.4275030273176374`*^9}, {
   3.4275033879449453`*^9, 3.4275035765399017`*^9}, {3.427503718259559*^9, 
   3.4275037243689733`*^9}, {3.4275046894376497`*^9, 3.427504699375213*^9}, {
   3.4275063590889606`*^9, 3.4275064107455406`*^9}, {3.427598472660408*^9, 
   3.4275985725204225`*^9}, {3.427598640223981*^9, 3.427598970897972*^9}, {
   3.4275990592891626`*^9, 3.4275991133207583`*^9}, {3.427599170743001*^9, 
   3.4275993107751474`*^9}, {3.4275994880575314`*^9, 
   3.4275996092926826`*^9}, {3.4275996540585938`*^9, 
   3.4275998294972167`*^9}, {3.4275998609817934`*^9, 3.4276000833582163`*^9}, 
   3.4293341432736683`*^9, {3.4396634532842264`*^9, 3.4396634762218733`*^9}, {
   3.4396635089564576`*^9, 3.4396636458010836`*^9}, {3.439676144655706*^9, 
   3.4396761642652063`*^9}, 3.544062817244402*^9, {3.5440629455752335`*^9, 
   3.54406305534921*^9}, {3.5440631113398085`*^9, 3.544063173080982*^9}, {
   3.54412093940565*^9, 3.5441209625609746`*^9}, 3.544202507781031*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Additional Assignments", "Section",
 CellChangeTimes->{{3.427508754666792*^9, 3.4275087661668653`*^9}, {
   3.4275142020922804`*^9, 3.4275142024204073`*^9}, {3.427573787328363*^9, 
   3.427573791781516*^9}, {3.4275963213966403`*^9, 3.4275963319435825`*^9}, {
   3.431183881068496*^9, 3.4311838825372744`*^9}, {3.4311840111334934`*^9, 
   3.4311840113053713`*^9}, 3.433259593081791*^9, {3.433261213310768*^9, 
   3.4332612137639046`*^9}, {3.433261834201662*^9, 3.433261834404793*^9}, 
   3.433262231743089*^9, {3.433262437263975*^9, 3.4332624374202294`*^9}, 
   3.433280211297058*^9, 3.4396650061222897`*^9, {3.544061125374232*^9, 
   3.54406113115881*^9}, {3.5441952748561697`*^9, 3.5441952749291773`*^9}, {
   3.5442013455308175`*^9, 3.544201345594824*^9}, {3.5454200758092184`*^9, 
   3.5454200773042183`*^9}, 3.561833859572706*^9}],

Cell["\<\
Solve the following problems. Feel free to pass several of them off at once. \
If you get stuck, you can ask a TA or a nearby student for help.\
\>", "Text",
 CellChangeTimes->{{3.4275740749239535`*^9, 3.4275741028772573`*^9}, {
   3.427574150455687*^9, 3.427574258722005*^9}, {3.427581225456277*^9, 
   3.4275812462845354`*^9}, {3.427583250031734*^9, 3.4275832666724653`*^9}, {
   3.427583529580398*^9, 3.427583553939929*^9}, {3.4275906459696927`*^9, 
   3.4275906487665854`*^9}, {3.4275907850174575`*^9, 3.427590789017483*^9}, {
   3.4275967626025887`*^9, 3.4275967638057213`*^9}, {3.429157051621769*^9, 
   3.429157052793637*^9}, {3.501268675752616*^9, 3.5012686761126165`*^9}, {
   3.544061135486243*^9, 3.544061163170011*^9}, {3.5441249059015207`*^9, 
   3.5441249438536916`*^9}, {3.544186281421667*^9, 3.54418628865339*^9}, {
   3.5442048339676266`*^9, 3.5442048415193815`*^9}, 3.5454200897432184`*^9}],

Cell[CellGroupData[{

Cell["Assignment 5. The plot thickens", "Subsubsection",
 CellChangeTimes->{{3.5618960470772343`*^9, 3.561896058540234*^9}, {
  3.561902153588234*^9, 3.561902155732234*^9}, {3.5619023469522343`*^9, 
  3.561902347007234*^9}}],

Cell[TextData[{
 "Make a plot of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], " ", "+", " ", 
    RowBox[{"2", 
     SuperscriptBox["x", "3"]}], " ", "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"]}], "+", " ", 
    RowBox[{"4", " ", "x"}], "+", "5"}], TraditionalForm]],
  CellChangeTimes->{{3.4275973150279994`*^9, 3.427597336606262*^9}}],
 ", from ",
 StyleBox["x",
  FontSlant->"Italic"],
 " = -3 to ",
 StyleBox["x",
  FontSlant->"Italic"],
 " = 3. Experiment with different plot styles as options, such as PlotStyle\
\[Rule]Thick,  or PlotStyle\[Rule]Red (or Blue, or Green, or Magenta, etc.), \
or PlotStyle\[Rule]Dashed  (or Dotted, or DotDashed), or \
PlotStyle\[Rule]Opacity[0.5] (or Opacity[0.1], or Opacity[0.8], etc.). After \
you have experimented a bit with these options, choose your favorite plot \
styles and combine them together via a list enclosed in braces: PlotStyle\
\[Rule]{option1, option2, option3, etc.}."
}], "Text",
 CellChangeTimes->{{3.5618960620122337`*^9, 3.561896066739234*^9}, {
   3.561902181315234*^9, 3.5619022129782343`*^9}, {3.561902258270234*^9, 
   3.561902262837234*^9}, {3.5619023016112337`*^9, 3.5619023096182337`*^9}, {
   3.561902375793234*^9, 3.5619024485772343`*^9}, {3.561902529461234*^9, 
   3.561902559642234*^9}, {3.5619026310838194`*^9, 3.561902634701795*^9}, {
   3.561902696084242*^9, 3.561902723953864*^9}, 3.561902763251044*^9, {
   3.561902822415053*^9, 3.5619028400894732`*^9}, {3.561902923545203*^9, 
   3.561903004172441*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 6. Polynomial roots", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.544060976309327*^9, 3.5440610210428*^9}, {3.5441950277074575`*^9, 
   3.544195029793666*^9}, {3.544195097267413*^9, 3.5441951385475407`*^9}, {
   3.5441951784255276`*^9, 3.544195178426528*^9}, {3.5441952238510695`*^9, 
   3.5441952390235868`*^9}, {3.5442027964548955`*^9, 3.544202798822132*^9}, {
   3.5454204089960256`*^9, 3.545420418932019*^9}, {3.5618954546111307`*^9, 
   3.5618954550201716`*^9}, {3.5618959855922337`*^9, 3.561895985672234*^9}, {
   3.561902349031234*^9, 3.561902349087234*^9}}],

Cell["\<\
As you should have just seen from the plot, the polynomial x^4 + 2 x^3 + 3 \
x^2 + 4 x + 5 has no real roots. (It doesn' t cross zero anywhere.) It does, \
however, have four complex roots. What are they? Find them in decimal form.\
\>", "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.544060976309327*^9, 3.5440610210428*^9}, {3.5441950277074575`*^9, 
   3.544195029793666*^9}, {3.544195097267413*^9, 3.5441951385475407`*^9}, {
   3.5441951784255276`*^9, 3.544195178426528*^9}, {3.5441952238510695`*^9, 
   3.5441952390235868`*^9}, {3.5442027964548955`*^9, 3.544202798822132*^9}, {
   3.5454204089960256`*^9, 3.545420411932319*^9}, {3.5619030227308617`*^9, 
   3.5619030843985186`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Assignment 7: Taylor\[CloseCurlyQuote]s series of",
 StyleBox[" ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", "x"], TraditionalForm]]]
}], "Subsubsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405457562169*^9}, {3.5440556811206894`*^9, 3.5440557605466895`*^9}, {
   3.544195986562333*^9, 3.5441959937780547`*^9}, {3.5442045202362566`*^9, 
   3.5442045395571885`*^9}, {3.54420600879235*^9, 3.54420600889635*^9}, {
   3.5454203546975965`*^9, 3.545420366817808*^9}, {3.561895626760234*^9, 
   3.561895635439234*^9}, {3.561902351312234*^9, 3.5619023514082336`*^9}}],

Cell[TextData[{
 "The Taylor\[CloseCurlyQuote]s series of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", "x"], TraditionalForm]]],
 " evaluated at ",
 StyleBox["x",
  FontSlant->"Italic"],
 " = 1 is 1 + 1 + 1/2 + 1/3! + 1/4!  + ... .  Show that this series gets \
closer and closer to the true value of ",
 StyleBox["e ",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"=", 
     SuperscriptBox["e", "1"]}]}], TraditionalForm]]],
 ") as you include more and more terms. Try 5 terms (as shown), 10 terms, and \
100 terms; give your results to 50 decimal places. Also display ",
 StyleBox["e",
  FontSlant->"Italic"],
 " to 50 decimal places for comparison."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405457562169*^9}, {3.5440556811206894`*^9, 3.5440557605466895`*^9}, {
   3.544195986562333*^9, 3.5441959937780547`*^9}, {3.5442045202362566`*^9, 
   3.5442045395571885`*^9}, {3.54420600879235*^9, 3.54420600889635*^9}, {
   3.5454203546975965`*^9, 3.545420356297756*^9}, {3.561895637399234*^9, 
   3.561895637807234*^9}, {3.561895705218234*^9, 3.561895875008234*^9}, {
   3.561896018487234*^9, 3.5618960246632338`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 8. A basic derivative", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.544060976309327*^9, 3.5440610210428*^9}, {3.5441950277074575`*^9, 
   3.544195029793666*^9}, {3.544195097267413*^9, 3.5441951385475407`*^9}, {
   3.5441951784255276`*^9, 3.544195178426528*^9}, {3.5441952238510695`*^9, 
   3.5441952390235868`*^9}, {3.5442027964548955`*^9, 3.544202798822132*^9}, {
   3.544204825631793*^9, 3.5442048257358036`*^9}, {3.5442048567049*^9, 
   3.544204963723601*^9}, {3.544205001355364*^9, 3.544205001589387*^9}, {
   3.545420426701796*^9, 3.5454204423483605`*^9}, {3.5618954571393833`*^9, 
   3.5618954573074007`*^9}, {3.5619023546552343`*^9, 3.5619023547432337`*^9}}],

Cell[TextData[{
 "Define the function ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f2", "(", "x", ")"}], " ", "="}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SuperscriptBox["sin", "2"], "(", "x", ")"}], 
    RowBox[{"1", "+", 
     RowBox[{"cos", "(", "x", ")"}]}]], TraditionalForm]]],
 ". Take its derivative, and simplify the result."
}], "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.544060976309327*^9, 3.5440610210428*^9}, {3.5441950277074575`*^9, 
   3.544195029793666*^9}, {3.544195097267413*^9, 3.5441951385475407`*^9}, {
   3.5441951784255276`*^9, 3.544195178426528*^9}, {3.5441952238510695`*^9, 
   3.5441952390235868`*^9}, {3.5442027964548955`*^9, 3.544202798822132*^9}, {
   3.544204825631793*^9, 3.5442048257358036`*^9}, {3.5442048567049*^9, 
   3.544204963723601*^9}, {3.544205001355364*^9, 3.544205001589387*^9}, {
   3.545420426701796*^9, 3.5454204289080167`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 9. A basic integral", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.544060961789875*^9}, {3.54406104754845*^9, 
   3.5440610511508102`*^9}, {3.5441948470813966`*^9, 3.544194861673856*^9}, {
   3.545420369875114*^9, 3.545420403811507*^9}, {3.561902356975234*^9, 
   3.5619023572472343`*^9}}],

Cell[TextData[{
 "Determine  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Integral]", 
    RowBox[{
     SuperscriptBox["e", 
      RowBox[{"-", "x"}]], 
     RowBox[{"sin", "(", "x", ")"}], 
     RowBox[{"\[DifferentialD]", "x"}]}]}], TraditionalForm]],
  CellChangeTimes->{{3.427581474707872*^9, 3.427581475504752*^9}, {
   3.4275820129144416`*^9, 3.427582062024131*^9}}],
 ", integrated from 0 to infinity. "
}], "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.544060961789875*^9}, {3.54406104754845*^9, 
   3.5440610511508102`*^9}, {3.5441948470813966`*^9, 3.544194861673856*^9}, {
   3.545420369875114*^9, 3.54542037023415*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 10. A basic complex number calculation", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.5441249729983587`*^9, 3.5441249831809406`*^9}, {3.5441265335406165`*^9, 
   3.5441265554078674`*^9}, {3.544126646010049*^9, 3.544126751051057*^9}, {
   3.5441269103241673`*^9, 3.5441269780940437`*^9}, {3.544186374352959*^9, 
   3.54418638456098*^9}, {3.544186439044428*^9, 3.5441864426837916`*^9}, {
   3.5442059752113495`*^9, 3.5442059778273497`*^9}, {3.5454203211612434`*^9, 
   3.545420336872814*^9}, {3.5619023602472343`*^9, 3.561902360567234*^9}}],

Cell[TextData[{
 "Do a search in ",
 StyleBox["Mathematica'",
  FontSlant->"Italic"],
 "s help files to find the \"Complex numbers tutorial\". Pay special \
attention to the Abs and Arg commands. Use them to calculate the magnitude \
and angle (in radians) of:  (4 + 5i) \[Divide] (6 - 7i).  Give your answers \
in decimal form to 4 sig figs."
}], "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.5441249729983587`*^9, 3.5441249831809406`*^9}, {3.5441265335406165`*^9, 
   3.5441265554078674`*^9}, {3.544126646010049*^9, 3.544126751051057*^9}, {
   3.5441269103241673`*^9, 3.5441269780940437`*^9}, {3.544186374352959*^9, 
   3.54418638456098*^9}, {3.544186439044428*^9, 3.5441864426837916`*^9}, {
   3.5442059752113495`*^9, 3.5442059778273497`*^9}, {3.5454203211612434`*^9, 
   3.545420322856413*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Wrap-up", "Section",
 CellChangeTimes->{{3.5440418557376895`*^9, 3.5440418655986896`*^9}, {
  3.5440611783875327`*^9, 3.5440611851452084`*^9}}],

Cell[TextData[{
 "Click on any of the terms in blue to bring up the help file for more \
information.\n\n",
 StyleBox["The following functions were discussed in today\[CloseCurlyQuote]s \
lab, or are very closely related:",
  FontWeight->"Bold"],
 "\nOperators:  ",
 StyleBox[ButtonBox["+",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Plus"],
  FontWeight->"Bold"],
 ButtonBox[",",
  BaseStyle->"Link",
  ButtonData->"paclet://Plus"],
 " ",
 StyleBox[ButtonBox["-",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Minus"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["*",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Times"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["/",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Divide"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["^",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Power"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["!",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Factorial"],
  FontWeight->"Bold"],
 "\nBasic Functions: ",
 StyleBox[ButtonBox["Log",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Log"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Log10",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Log10"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Sqrt",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Sqrt"],
  FontWeight->"Bold"],
 "\nTrig Functions: ",
 StyleBox[ButtonBox["Sin",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Sin"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Cos",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Cos"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Tan",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Tan"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["ArcSin",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ArcSin"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["ArcCos",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ArcCos"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["ArcTan",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ArcTan"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Sinc",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Sinc"],
  FontWeight->"Bold"],
 "\nForcing numerical output: ",
 StyleBox[ButtonBox["N",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/N"],
  FontWeight->"Bold"],
 "\nReferring to previous results: %, %% (and so on), %[number]  (all related \
to ",
 StyleBox[ButtonBox["Out",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Out"],
  FontWeight->"Bold"],
 " function)\nBuilt-in constants: ",
 StyleBox[ButtonBox["Pi",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Pi"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["E",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/E"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["I",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/I"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Infinity",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Infinity"],
  FontWeight->"Bold"],
 "\nFunctions: f[x_] notation to define your own function, f[x] to refer to \
function, ",
 StyleBox[ButtonBox["Plot",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Plot"],
  FontWeight->"Bold"],
 " (and ",
 StyleBox[ButtonBox["PlotRange",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/PlotRange"],
  FontWeight->"Bold"],
 " option) to display function\nCalculus-related functions: ",
 StyleBox[ButtonBox["Integrate",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Integrate"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["NIntegrate",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/NIntegrate"],
  FontWeight->"Bold"],
 ", derivatives via \[OpenCurlyQuote], \[OpenCurlyQuote]\[CloseCurlyQuote] \
(and so on)  (all related to ",
 StyleBox[ButtonBox["D",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/D"],
  FontWeight->"Bold"],
 " function)\nMisc: ",
 StyleBox[ButtonBox["FindRoot,",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/FindRoot"],
  FontWeight->"Bold"],
 " ",
 StyleBox[ButtonBox["FindMaximum",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/FindMaximum"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["FindMinimum",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/FindMinimum"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Sum",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Sum"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Solve",
  BaseStyle->"Hyperlink",
  ButtonData->{"Solve", None}],
  FontWeight->"Bold"],
 "\nComplex Numbers: ",
 StyleBox[ButtonBox["Abs",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Abs"],
  FontWeight->"Bold"],
 ",  ",
 StyleBox[ButtonBox["Arg",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Arg"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Re",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Re"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Im",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Im"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Conjugate",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Conjugate"],
  FontWeight->"Bold"],
 " \n\n",
 StyleBox["Potentially useful summary/tutorial pages:",
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Operators\n",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/Operators"],
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Some mathematical functions",
  BaseStyle->"Link",
  ButtonData->"paclet:tutorial/SomeMathematicalFunctions"],
  FontWeight->"Bold"],
 " \n",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    RowBox[{"Mathematical", " ", "Constants"}],
    BaseStyle->"Link",
    ButtonData->"paclet:guide/MathematicalConstants"], " "}]],
  FontFamily->"Arial",
  FontWeight->"Bold"],
 StyleBox["\n",
  FontFamily->"Arial",
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Defining functions",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/DefiningFunctions"],
  FontWeight->"Bold"],
 StyleBox["\n",
  FontFamily->"Arial",
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Solving Equations\n",
  BaseStyle->"Link",
  ButtonData->"paclet:tutorial/SolvingEquations"],
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Comments (*  *)\n",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/DocumentationConstructs"],
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Complex numbers tutorial",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/ComplexNumbers"],
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.5440419833276896`*^9, 3.5440420260566893`*^9}, {
   3.5440420754346895`*^9, 3.5440421220466895`*^9}, {3.5440422444226894`*^9, 
   3.54404224697069*^9}, 3.544059869450808*^9, {3.5440606601137104`*^9, 
   3.5440606625789566`*^9}, {3.5441269830273256`*^9, 3.544126988333629*^9}, {
   3.544184734220355*^9, 3.5441847349994326`*^9}, {3.5441857074644337`*^9, 
   3.5441859491244564`*^9}, {3.5441860368940067`*^9, 3.544186053601348*^9}, {
   3.5441892933658457`*^9, 3.54418946172968*^9}, {3.5441894950780144`*^9, 
   3.5441895320127077`*^9}, {3.5441896908935943`*^9, 3.544189981671669*^9}, {
   3.544190023984002*^9, 3.544190122250002*^9}, {3.544190263794002*^9, 
   3.544190296224002*^9}, {3.544194542247916*^9, 3.544194569548646*^9}, 
   3.5441947187965693`*^9, 3.5441947956052494`*^9, {3.5442025386751204`*^9, 
   3.5442025847027225`*^9}, {3.5442026233245845`*^9, 
   3.5442026684820995`*^9}, {3.5442027046887197`*^9, 
   3.5442027696202126`*^9}, {3.5442042384580812`*^9, 3.544204265756811*^9}, {
   3.5442112924112616`*^9, 3.5442112983768578`*^9}}]
}, Closed]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{1314, 1063},
WindowMargins->{{Automatic, 39}, {Automatic, 6}},
ShowSelection->True,
ShowCellTags->True,
Magnification->1.2000000476837158`,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->FrontEnd`FileName[{"Utility"}, "Memo.nb", CharacterEncoding -> 
  "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 313, 4, 110, "Title"],
Cell[883, 28, 738, 13, 166, "Subtitle"],
Cell[1624, 43, 3513, 79, 386, "Text"],
Cell[CellGroupData[{
Cell[5162, 126, 987, 13, 65, "Section"],
Cell[CellGroupData[{
Cell[6174, 143, 975, 17, 53, "Subsection"],
Cell[7152, 162, 1501, 27, 136, "Text"],
Cell[8656, 191, 116, 2, 35, "Input"],
Cell[8775, 195, 119, 2, 35, "Input"],
Cell[8897, 199, 222, 4, 35, "Input"],
Cell[9122, 205, 119, 2, 35, "Input"],
Cell[9244, 209, 191, 5, 35, "Input"],
Cell[9438, 216, 273, 5, 35, "Text"],
Cell[9714, 223, 154, 3, 35, "Input"],
Cell[9871, 228, 154, 2, 35, "Input"],
Cell[10028, 232, 1483, 23, 61, "Text"],
Cell[11514, 257, 119, 2, 35, "Input"],
Cell[11636, 261, 2228, 38, 161, "Text"],
Cell[13867, 301, 1966, 34, 61, "Text"],
Cell[15836, 337, 126, 2, 35, "Input"],
Cell[15965, 341, 127, 2, 35, "Input"],
Cell[16095, 345, 125, 2, 35, "Input"],
Cell[16223, 349, 124, 2, 35, "Input"],
Cell[16350, 353, 178, 4, 35, "Input"],
Cell[16531, 359, 169, 3, 35, "Input"],
Cell[16703, 364, 122, 2, 35, "Input"],
Cell[16828, 368, 2695, 50, 386, "Text"],
Cell[19526, 420, 1726, 33, 111, "Text"],
Cell[21255, 455, 921, 16, 35, "Text"],
Cell[22179, 473, 130, 2, 35, "Input"],
Cell[22312, 477, 157, 3, 35, "Input"],
Cell[22472, 482, 116, 2, 35, "Input"],
Cell[22591, 486, 130, 2, 35, "Input"],
Cell[22724, 490, 119, 2, 35, "Input"],
Cell[22846, 494, 116, 2, 35, "Input"],
Cell[22965, 498, 152, 3, 42, "Input"],
Cell[23120, 503, 71, 1, 42, "Input"],
Cell[23194, 506, 125, 2, 42, "Input"],
Cell[23322, 510, 136, 2, 42, "Input"],
Cell[23461, 514, 119, 2, 42, "Input"],
Cell[23583, 518, 161, 3, 42, "Input"],
Cell[23747, 523, 1738, 29, 327, "Text"],
Cell[25488, 554, 894, 14, 43, "Text"],
Cell[26385, 570, 150, 3, 42, "Input"],
Cell[26538, 575, 148, 3, 42, "Input"],
Cell[26689, 580, 291, 8, 42, "Input"],
Cell[26983, 590, 168, 4, 42, "Input"],
Cell[27154, 596, 130, 2, 42, "Input"],
Cell[27287, 600, 1907, 30, 327, "Text"],
Cell[29197, 632, 1162, 18, 72, "Text"],
Cell[30362, 652, 2280, 43, 157, "Text"],
Cell[32645, 697, 1992, 31, 100, "Text"],
Cell[CellGroupData[{
Cell[34662, 732, 1861, 25, 50, "Subsubsection"],
Cell[36526, 759, 2434, 41, 139, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[39009, 806, 141, 2, 50, "Subsection"],
Cell[39153, 810, 1282, 17, 43, "Text"],
Cell[40438, 829, 366, 10, 43, "Input"],
Cell[40807, 841, 124, 2, 42, "Input"],
Cell[40934, 845, 148, 3, 42, "Input"],
Cell[41085, 850, 124, 2, 50, "Input"],
Cell[41212, 854, 124, 2, 50, "Input"],
Cell[41339, 858, 124, 2, 50, "Input"],
Cell[41466, 862, 144, 3, 50, "Input"],
Cell[41613, 867, 2575, 43, 290, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[44225, 915, 1605, 22, 50, "Subsection"],
Cell[45833, 939, 259, 7, 50, "Input"],
Cell[46095, 948, 317, 10, 50, "Input"],
Cell[46415, 960, 288, 8, 50, "Input"],
Cell[46706, 970, 343, 9, 50, "Input"],
Cell[47052, 981, 3594, 55, 528, "Text"],
Cell[50649, 1038, 2559, 39, 153, "Text"],
Cell[53211, 1079, 1869, 28, 51, "Text"],
Cell[55083, 1109, 109, 3, 51, "Input"],
Cell[55195, 1114, 109, 3, 51, "Input"],
Cell[55307, 1119, 253, 8, 50, "Input"],
Cell[55563, 1129, 100, 1, 51, "Text"],
Cell[55666, 1132, 268, 7, 50, "Input"],
Cell[55937, 1141, 268, 7, 50, "Input"],
Cell[56208, 1150, 155, 3, 50, "Input"],
Cell[56366, 1155, 2901, 46, 357, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[59304, 1206, 114, 1, 50, "Subsection"],
Cell[59421, 1209, 2311, 36, 86, "Text"],
Cell[61735, 1247, 2070, 29, 51, "Text"],
Cell[63808, 1278, 181, 4, 50, "Input"],
Cell[63992, 1284, 170, 6, 50, "Input"],
Cell[64165, 1292, 266, 7, 50, "Input"],
Cell[64434, 1301, 681, 12, 255, "Text"],
Cell[65118, 1315, 214, 3, 51, "Text"],
Cell[65335, 1320, 350, 8, 50, "Input"],
Cell[65688, 1330, 148, 3, 50, "Input"],
Cell[65839, 1335, 298, 7, 50, "Input"],
Cell[66140, 1344, 78, 2, 50, "Input"],
Cell[66221, 1348, 367, 11, 50, "Input"],
Cell[66591, 1361, 339, 11, 50, "Input"],
Cell[66933, 1374, 343, 10, 50, "Input"],
Cell[67279, 1386, 1767, 26, 426, "Text"],
Cell[CellGroupData[{
Cell[69071, 1416, 348, 4, 58, "Subsubsection"],
Cell[69422, 1422, 501, 8, 86, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[69972, 1436, 1981, 27, 50, "Subsection"],
Cell[71956, 1465, 2116, 33, 51, "Text"],
Cell[74075, 1500, 179, 5, 51, "Input"],
Cell[74257, 1507, 147, 4, 51, "Input"],
Cell[74407, 1513, 2497, 41, 153, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[76941, 1559, 2111, 29, 50, "Subsection"],
Cell[79055, 1590, 230, 8, 50, "Input"],
Cell[79288, 1600, 194, 6, 50, "Input"],
Cell[79485, 1608, 3951, 66, 460, "Text"],
Cell[CellGroupData[{
Cell[83461, 1678, 618, 8, 58, "Subsubsection"],
Cell[84082, 1688, 630, 10, 51, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[84761, 1704, 118, 1, 50, "Subsection"],
Cell[84882, 1707, 342, 10, 50, "Input"],
Cell[85227, 1719, 428, 13, 50, "Input"],
Cell[85658, 1734, 121, 2, 50, "Input"],
Cell[85782, 1738, 506, 14, 50, "Input"],
Cell[86291, 1754, 858, 14, 255, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[87186, 1773, 137, 1, 50, "Subsection"],
Cell[87326, 1776, 2128, 31, 51, "Text"],
Cell[89457, 1809, 215, 7, 50, "Input"],
Cell[89675, 1818, 2902, 43, 255, "Text"],
Cell[92580, 1863, 2181, 31, 51, "Text"],
Cell[94764, 1896, 183, 4, 50, "Input"],
Cell[94950, 1902, 2755, 41, 223, "Text"],
Cell[CellGroupData[{
Cell[97730, 1947, 538, 7, 58, "Subsubsection"],
Cell[98271, 1956, 2375, 60, 260, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[100695, 2022, 115, 1, 50, "Subsection"],
Cell[100813, 2025, 101, 1, 51, "Text"],
Cell[100917, 2028, 194, 6, 50, "Input"],
Cell[101114, 2036, 83, 2, 50, "Input"],
Cell[101200, 2040, 264, 7, 50, "Input"],
Cell[101467, 2049, 120, 2, 50, "Input"],
Cell[101590, 2053, 242, 7, 50, "Input"],
Cell[101835, 2062, 706, 15, 51, "Input"],
Cell[102544, 2079, 235, 4, 50, "Input"],
Cell[102782, 2085, 174, 3, 50, "Input"],
Cell[102959, 2090, 3498, 53, 493, "Text"],
Cell[CellGroupData[{
Cell[106482, 2147, 563, 8, 58, "Subsubsection"],
Cell[107048, 2157, 1122, 24, 108, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[108219, 2187, 161, 2, 50, "Subsection"],
Cell[108383, 2191, 381, 10, 49, "Input"],
Cell[108767, 2203, 1160, 35, 32, "Input"],
Cell[109930, 2240, 202, 3, 32, "Input"],
Cell[110135, 2245, 144, 2, 32, "Input"],
Cell[110282, 2249, 1923, 37, 294, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[112242, 2291, 447, 6, 50, "Subsection"],
Cell[112692, 2299, 679, 11, 86, "Text"],
Cell[113374, 2312, 198, 5, 50, "Input"],
Cell[113575, 2319, 199, 5, 50, "Input"],
Cell[113777, 2326, 225, 6, 50, "Input"],
Cell[114005, 2334, 956, 27, 52, "Input"],
Cell[114964, 2363, 193, 4, 50, "Input"],
Cell[115160, 2369, 286, 5, 50, "Input"],
Cell[115449, 2376, 3181, 48, 153, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[118679, 2430, 228, 3, 40, "Section"],
Cell[118910, 2435, 604, 10, 73, "Text"],
Cell[CellGroupData[{
Cell[119539, 2449, 111, 1, 63, "Subsection"],
Cell[119653, 2452, 431, 9, 72, "Text"],
Cell[120087, 2463, 358, 8, 42, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[120482, 2476, 425, 5, 50, "Subsection"],
Cell[120910, 2483, 2282, 50, 213, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[123229, 2538, 471, 6, 50, "Subsection"],
Cell[123703, 2546, 1853, 26, 100, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[125593, 2577, 158, 2, 42, "Subsection"],
Cell[125754, 2581, 2596, 51, 111, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[128387, 2637, 1377, 18, 53, "Subsection"],
Cell[129767, 2657, 1998, 35, 72, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[131802, 2697, 111, 1, 42, "Subsection"],
Cell[131916, 2700, 1805, 36, 100, "Text"],
Cell[133724, 2738, 203, 4, 80, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[133964, 2747, 1804, 24, 42, "Subsection"],
Cell[135771, 2773, 2287, 37, 86, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[138107, 2816, 242, 3, 40, "Section"],
Cell[CellGroupData[{
Cell[138374, 2823, 510, 7, 63, "Subsection"],
Cell[138887, 2832, 793, 16, 72, "Text"],
Cell[139683, 2850, 673, 12, 67, "Input"],
Cell[140359, 2864, 523, 8, 67, "Input"],
Cell[140885, 2874, 406, 7, 67, "Input"],
Cell[141294, 2883, 731, 11, 67, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[142062, 2899, 122, 1, 63, "Subsection"],
Cell[142187, 2902, 2503, 45, 100, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[144739, 2953, 840, 11, 40, "Section"],
Cell[145582, 2966, 918, 13, 35, "Text"],
Cell[CellGroupData[{
Cell[146525, 2983, 224, 3, 41, "Subsubsection"],
Cell[146752, 2988, 1526, 33, 112, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[148315, 3026, 703, 9, 41, "Subsubsection"],
Cell[149021, 3037, 805, 12, 61, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[149863, 3054, 2873, 45, 42, "Subsubsection"],
Cell[152739, 3101, 3432, 62, 90, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[156208, 3168, 803, 10, 41, "Subsubsection"],
Cell[157014, 3180, 1045, 24, 51, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[158096, 3209, 450, 6, 41, "Subsubsection"],
Cell[158549, 3217, 763, 18, 37, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[159349, 3240, 675, 8, 41, "Subsubsection"],
Cell[160027, 3250, 908, 16, 61, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[160984, 3272, 149, 2, 40, "Section"],
Cell[161136, 3276, 7468, 257, 637, "Text"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
